import { FC } from 'react';
import { FcrIconType } from '../icon/type';
import { PopoverProps } from '../popover';
import { FcrIconProps } from '../icon';
interface ActionBarItemProps {
    className?: string;
    icon: FcrIconType;
    iconColors: FcrIconProps['colors'];
    active?: boolean;
    onClick?: () => void;
    disabled?: boolean;
    title: string;
    order?: number;
    id: string;
}
export declare const ActionBarItem: FC<ActionBarItemProps>;
interface ActionBarItemWithPopoverProps extends ActionBarItemProps {
    popoverProps?: PopoverProps;
}
export declare const ActionBarItemWithPopover: FC<ActionBarItemWithPopoverProps>;
export {};
