"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Record = void 0;
var _i18n = require("../../../i18n");
var _type = require("../../icon/type");
var _tooltip = require("../../tooltip");
var _item = require("../item");
require("./index.css");
var _jsxRuntime = require("react/jsx-runtime");
var Record = exports.Record = function Record(_ref) {
  var id = _ref.id,
    order = _ref.order;
  var t = (0, _i18n.useI18n)();
  var icon = true ? _type.FcrIconType.FCR_RECORDING_ON : _type.FcrIconType.FCR_RECORDING_STOP;
  var tooltip = t('fmt_recording_button_rrecording');
  var title = t('fmt_recording_button_rrecording');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltip.FcrToolTip, {
    content: tooltip,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_item.ActionBarItem, {
      id: id,
      order: order,
      onClick: function onClick() {},
      icon: icon,
      title: title,
      iconColors: {
        iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
      }
    })
  });
};