"use strict";

require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.object.define-property.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/es.weak-map.js");
require("core-js/modules/esnext.weak-map.delete-all.js");
require("core-js/modules/esnext.weak-map.emplace.js");
require("core-js/modules/web.dom-collections.iterator.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrAvatar = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
require("core-js/modules/es.array.concat.js");
require("core-js/modules/es.string.trim.js");
var _react = _interopRequireWildcard(require("react"));
require("./index.css");
var _helper = require("./helper");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var FcrAvatar = exports.FcrAvatar = function FcrAvatar(_ref) {
  var size = _ref.size,
    textSize = _ref.textSize,
    nickName = _ref.nickName,
    icon = _ref.icon,
    backgroundColor = _ref.backgroundColor,
    onClick = _ref.onClick,
    isShowFirstLetter = _ref.isShowFirstLetter,
    borderRadius = _ref.borderRadius;
  var name = (0, _react.useMemo)(function () {
    return nickName ? nickName.trim() : nickName;
  }, [nickName]);
  var color = backgroundColor || (0, _helper.getNameColor)(name);
  var _splitName = (0, _helper.splitName)(name),
    _splitName2 = (0, _slicedToArray2["default"])(_splitName, 2),
    first = _splitName2[0],
    last = _splitName2[1];
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    onClick: onClick,
    className: "fcr-avatar",
    style: {
      width: size,
      height: size,
      background: color,
      fontSize: textSize,
      borderRadius: borderRadius || ''
    },
    children: !!icon ? icon : /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      children: isShowFirstLetter ? first : "".concat(first).concat(last)
    })
  });
};