import React, { CSSProperties } from 'react';
import './index.css';
export interface BlinkingBoxProps {
    duration?: number;
    visible?: boolean;
    styles?: CSSProperties;
    type?: 'error' | 'warn' | 'info';
    onChange?: (visible: boolean) => void;
    content?: string | React.ReactNode;
    animationType?: 'blink' | 'slide';
    classnames?: string;
}
export declare const BlinkingBox: React.FC<React.PropsWithChildren<BlinkingBoxProps>>;
