"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrCard = void 0;
require("core-js/modules/es.array.concat.js");
var _react = _interopRequireDefault(require("react"));
require("./index.css");
var _i18n = require("../../i18n");
var _jsxRuntime = require("react/jsx-runtime");
var FcrCard = exports.FcrCard = function FcrCard(props) {
  var t = (0, _i18n.useI18n)();
  var _props$cover = props.cover,
    cover = _props$cover === void 0 ? t('fmt_uimanager_labels_Clickselect') : _props$cover,
    content = props.content,
    title = props.title,
    _props$active = props.active,
    active = _props$active === void 0 ? false : _props$active,
    _props$disabled = props.disabled,
    disabled = _props$disabled === void 0 ? false : _props$disabled,
    onCardClick = props.onCardClick,
    onDoubleClickCard = props.onDoubleClickCard;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    onClick: onCardClick,
    onDoubleClick: onDoubleClickCard,
    className: "".concat(active ? 'share-selection-window__card-active' : 'share-selection-window__card', " ").concat(disabled ? 'share-selection-window__card-disabled' : ''),
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: "share-selection-window__card-content fcr-flex-center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "share-selection-window__card-content-mask fcr-flex-center",
        children: cover
      }), content]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: "share-selection-window__card-title",
      children: title
    })]
  });
};