import React, { PropsWithChildren } from 'react';
import './index.css';
export type AllowChatLevelType = 'everyone' | 'public' | 'private_to_manager' | 'no_one';
export interface ChatManagerProps {
    isManager?: boolean;
    setAllowChat?: (allowChat: boolean) => void;
    setAllowChatWithPayload?: (type: 'public' | 'private_to_manager') => void;
    allowChatLevel: AllowChatLevelType;
}
export declare const ChatManager: React.FC<PropsWithChildren<ChatManagerProps>>;
