import { CSSProperties, FC, ReactNode } from 'react';
import './index.css';
export interface CheckboxProps {
    label?: ReactNode;
    checked?: boolean;
    defaultChecked?: boolean;
    indeterminate?: boolean;
    onChange?: (checked: boolean) => void;
    styleType?: 'brand' | 'white';
    size?: 'medium' | 'small';
    style?: CSSProperties;
    disabled?: boolean;
}
export declare const FcrCheckbox: FC<CheckboxProps>;
