import React from 'react';
import './index.css';
export interface FcrDevicePretestPageSettingsProps {
    actionType?: 'meet' | 'join';
    meetingInfo?: {
        meetingName?: string;
        meetingHostName?: string;
    };
    videoInfos?: {
        enableVideo?: boolean;
        enableAudio?: boolean;
        enableVirtualBg?: boolean;
        enableBeauty?: boolean;
        enableMirror?: boolean;
        leftRotationAngle?: 90 | 180 | 270 | 360;
        microphonePercentage?: number;
    };
    handleAction?: () => void;
}
export declare const FcrDevicePretestPageSettings: React.FC<React.PropsWithChildren<FcrDevicePretestPageSettingsProps>>;
export declare const FcrVideoSettingTabs: React.FC<{
    tabs: {
        key: string;
        title: string;
    }[];
    activeKey: string;
    onChange: (key: string) => void;
}>;
