"use strict";

require("core-js/modules/es.symbol.js");
require("core-js/modules/es.array.filter.js");
require("core-js/modules/es.array.for-each.js");
require("core-js/modules/es.array.push.js");
require("core-js/modules/es.object.define-properties.js");
require("core-js/modules/es.object.define-property.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.get-own-property-descriptors.js");
require("core-js/modules/es.object.keys.js");
require("core-js/modules/esnext.async-iterator.filter.js");
require("core-js/modules/esnext.async-iterator.for-each.js");
require("core-js/modules/esnext.iterator.constructor.js");
require("core-js/modules/esnext.iterator.filter.js");
require("core-js/modules/esnext.iterator.for-each.js");
require("core-js/modules/web.dom-collections.for-each.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrClassDialog = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
require("core-js/modules/es.error.to-string.js");
require("core-js/modules/es.array.map.js");
require("core-js/modules/es.date.to-string.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.regexp.to-string.js");
require("core-js/modules/esnext.async-iterator.map.js");
require("core-js/modules/esnext.iterator.map.js");
var _button = require("../button");
var _ = require(".");
require("./class-dialog.css");
var _jsxRuntime = require("react/jsx-runtime");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2["default"])(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var FcrClassDialog = exports.FcrClassDialog = function FcrClassDialog(props) {
  var visible = props.visible,
    onClose = props.onClose,
    title = props.title,
    content = props.content,
    maskClosable = props.maskClosable,
    imgUrl = props.imgUrl,
    width = props.width,
    actions = props.actions,
    cancelBtn = props.cancelBtn;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_.BaseDialog, {
    closable: false,
    classNames: "fcr-class-dialog",
    width: width || 344,
    maskClosable: maskClosable,
    visible: visible,
    onClose: onClose,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: "fcr-class-dialog-inner",
      children: [imgUrl && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "fcr-class-dialog-img",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
          src: imgUrl
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "fcr-class-dialog-title",
        children: title
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "fcr-class-dialog-content",
        children: content
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "fcr-class-dialog-actions",
        children: actions === null || actions === void 0 ? void 0 : actions.map(function (btnProps, index) {
          return /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.FcrButton, _objectSpread(_objectSpread({
            size: "S",
            block: true
          }, btnProps), {}, {
            children: btnProps.text || 'Text'
          }), index.toString());
        })
      }), cancelBtn && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "fcr-class-dialog-cancel",
        onClick: onClose,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.FcrButton, {
          size: "S",
          block: true,
          children: "Cancel"
        })
      })]
    })
  });
};