"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Basic = void 0;
var _ = require(".");
var _type = require("../icon/type");
var _i18n = require("../../i18n");
var _jsxRuntime = require("react/jsx-runtime");
var meta = {
  title: 'Components/IconButton',
  tags: ['autodocs'],
  argTypes: {}
};
var Basic = exports.Basic = {
  args: {},
  render: function render() {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        style: {
          display: 'flex',
          flexWrap: 'wrap',
          gap: 10
        },
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrIconButton, {
          icon: _type.FcrIconType.FCR_ALF2
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrPretestDeviceIcon, {
          icon: _type.FcrIconType.FCR_CAMERA,
          status: "active",
          tooltip: (0, _i18n.transI18n)('fmt_device_label_video_start')
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrPretestDeviceIcon, {
          icon: _type.FcrIconType.FCR_CAMERA,
          status: "disabled",
          tooltip: "\u7981\u7528\u6444\u50CF\u5934"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrPretestDeviceIcon, {
          icon: _type.FcrIconType.FCR_CAMERA,
          status: "idle",
          tooltip: "\u6444\u50CF\u5934"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrPretestDeviceIcon, {
          icon: _type.FcrIconType.FCR_CAMERA,
          status: "inactive",
          tooltip: "\u6444\u50CF\u5934"
        })]
      })
    });
  }
};
var _default = exports["default"] = meta;