"use strict";

require("core-js/modules/es.symbol.js");
require("core-js/modules/es.array.filter.js");
require("core-js/modules/es.array.for-each.js");
require("core-js/modules/es.array.push.js");
require("core-js/modules/es.object.define-properties.js");
require("core-js/modules/es.object.define-property.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.get-own-property-descriptors.js");
require("core-js/modules/es.object.keys.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/esnext.async-iterator.filter.js");
require("core-js/modules/esnext.async-iterator.for-each.js");
require("core-js/modules/esnext.iterator.constructor.js");
require("core-js/modules/esnext.iterator.filter.js");
require("core-js/modules/esnext.iterator.for-each.js");
require("core-js/modules/web.dom-collections.for-each.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Doc = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = require("react");
var _ = require(".");
var _type = require("../icon/type");
var _inputPassword = require("./input-password");
var _jsxRuntime = require("react/jsx-runtime");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2["default"])(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var meta = {
  title: 'Components/Input',
  tags: ['autodocs'],
  component: _.FcrInput,
  args: {
    placeholder: 'please input room name',
    shape: 'rounded',
    disabled: false
  },
  argTypes: {}
};
var Doc = exports.Doc = function Doc(props) {
  var _useState = (0, _react.useState)(''),
    _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var handleChange = function handleChange(val) {
    setValue(val);
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        width: 200,
        marginBottom: 50
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrInput, _objectSpread(_objectSpread({}, props), {}, {
        label: 'Basic',
        value: value,
        onChange: handleChange
      }))
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        width: 200,
        marginBottom: 50
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_inputPassword.FcrInputPassword, _objectSpread(_objectSpread({}, props), {}, {
        label: "password",
        value: value,
        onChange: handleChange
      }))
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        width: 200,
        marginBottom: 50
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrInput, _objectSpread(_objectSpread({}, props), {}, {
        label: 'Allow Clear',
        size: "large",
        allowClear: true,
        value: value,
        onChange: handleChange
      }))
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        width: 200,
        marginBottom: 50
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrInput, _objectSpread(_objectSpread({}, props), {}, {
        label: 'show count',
        size: "large",
        showCount: true,
        maxLength: 30,
        allowClear: true,
        value: value,
        onChange: handleChange
      }))
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        width: 200,
        marginBottom: 50
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrInput, _objectSpread(_objectSpread({}, props), {}, {
        label: 'Search',
        size: "large",
        value: value,
        iconPrefix: {
          type: _type.FcrIconType.FCR_V2_SEARCH,
          colors: {
            iconPrimary: 'var(--fcr_ui_scene_icontext1)'
          }
        },
        onChange: handleChange
      }))
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        width: 200,
        marginBottom: 50
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrInput, _objectSpread(_objectSpread({}, props), {}, {
        label: 'Disabled',
        size: "large",
        disabled: true
      }))
    })]
  });
};
var _default = exports["default"] = meta;