import React, { CSSProperties } from 'react';
import './index.css';
export type RoleType = 'participant' | 'host' | 'system' | 'union-host';
export interface MessageBubbleProps {
    role: RoleType;
    isSelf?: boolean;
    styles?: CSSProperties;
    msg?: string;
    marginBottom?: 'large' | 'small';
    onCopy?: (type: 'singling' | 'multiple') => void;
    file?: string;
    onPrivate?: () => void;
    hiddenMore?: boolean;
}
export declare const MessageBubble: React.FC<React.PropsWithChildren<MessageBubbleProps>>;
