import React, { CSSProperties } from 'react';
import './index.css';
import { handleClickUploadImage } from './handleUploadImag';
export interface MessageInputProps {
    updateErrVisible?: (visible: boolean) => void;
    onMsg?: (msg: string) => void;
    limitation?: number;
    styles?: CSSProperties;
    placeholder?: string;
    onEmoji?: (emoji: string) => void;
    onFile?: (file: string) => void;
    handleClickUploadImage?: () => void;
    defaultMsg?: string;
    updateChatTextMsg?: (msg: string) => void;
    autoSizeParams?: {
        minHeight?: number;
        maxHeight?: number;
    };
}
export declare const MessageTextArea: React.ForwardRefExoticComponent<MessageInputProps & React.RefAttributes<{
    dom: HTMLTextAreaElement | null;
}>>;
export declare const ButtonIcons: React.FC<{}>;
export { handleClickUploadImage };
