"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.NOTIFICATION_ROOT_CLASS_NAME = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _rcNotification = require("rc-notification");
require("rc-notification/assets/index.css");
var _react = require("react");
var _reactDom = _interopRequireDefault(require("react-dom"));
var _jsxRuntime = require("react/jsx-runtime");
var ContextHolder = function ContextHolder(_ref) {
  var contextHolder = _ref.contextHolder;
  return contextHolder;
};
var NOTIFICATION_ROOT_CLASS_NAME = exports.NOTIFICATION_ROOT_CLASS_NAME = 'fcr-notification-root';
function getRoot() {
  return document.querySelector(".".concat(NOTIFICATION_ROOT_CLASS_NAME));
}
var useFcrNotification = function useFcrNotification() {
  var _useNotification = (0, _rcNotification.useNotification)({
      stack: true
    }),
    _useNotification2 = (0, _slicedToArray2["default"])(_useNotification, 2),
    notification = _useNotification2[0],
    contextHolder = _useNotification2[1];
  (0, _react.useEffect)(function () {
    var dom = getRoot();
    var div = document.createElement('div');
    dom === null || dom === void 0 || dom.appendChild(div);
    _reactDom["default"].render(/*#__PURE__*/(0, _jsxRuntime.jsx)(ContextHolder, {
      contextHolder: contextHolder
    }), div);
  }, []);
  return [notification, contextHolder];
};
var _default = exports["default"] = useFcrNotification;