"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Basic = void 0;
var _ = require(".");
var _button = require("../button");
var _jsxRuntime = require("react/jsx-runtime");
var meta = {
  title: 'Components/Popover',
  tags: ['autodocs'],
  argTypes: {
    content: {
      control: 'text'
    },
    placement: {
      control: 'radio',
      options: ['top', 'right', 'bottom', 'left']
    }
  }
};
var Basic = exports.Basic = {
  render: function render() {
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrPopover, {
        showArrow: true,
        trigger: "click",
        content: '123',
        placement: "bottom",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.FcrButton, {
          size: "XS",
          children: "FcrPopover"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_.DoubleDeckPopover, {
        trigger: "click",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.FcrButton, {
          size: "XS",
          children: "FcrDoubleDeckPopover"
        })
      })]
    });
  }
};
var _default = exports["default"] = meta;