import { FC, ReactNode } from 'react';
import './index.css';
export interface RadioProps {
    label?: ReactNode;
    checked?: boolean;
    onChange?: (checked: boolean) => void;
    onClick?: () => void;
    styleType?: 'brand' | 'white' | 'transparent';
    name?: string;
    iconColor?: string;
    value?: string;
}
export declare const FcrRadio: FC<React.PropsWithChildren<RadioProps>>;
interface RadioGroupProps<V> {
    defaultValue?: any;
    name?: string;
    options?: RadioProps[];
    value?: V;
    onChange?: (value?: V) => void;
}
export declare const FcrRadioGroup: <V>(props: React.PropsWithChildren<RadioGroupProps<V>>) => import("react/jsx-runtime").JSX.Element;
export {};
