"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MeetingSecurity = void 0;
var _i18n = require("../../../i18n");
var _type = require("../../icon/type");
var _tooltipsButton = require("../../tooltips-button");
var _jsxRuntime = require("react/jsx-runtime");
var MeetingSecurity = exports.MeetingSecurity = function MeetingSecurity(_ref) {
  var onTooltipButtonClick = _ref.onTooltipButtonClick;
  var t = (0, _i18n.useI18n)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: "share-action-nav__button share-action-nav__not-draggable share-action-nav__single-button",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltipsButton.FrcTooltipButton, {
      tooltip: {
        content: t('fmt_screenshare_controlbar_button_security'),
        icon: {
          type: _type.FcrIconType.FCR_SECURITY,
          size: 32,
          colors: {
            iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
          }
        }
      },
      withPopover: false
    })
  });
};