"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ParticipantButton = void 0;
var _i18n = require("../../../i18n");
var _type = require("../../icon/type");
var _tooltipsButton = require("../../tooltips-button");
var _jsxRuntime = require("react/jsx-runtime");
var ParticipantButton = exports.ParticipantButton = function ParticipantButton(_ref) {
  var onTooltipButtonClick = _ref.onTooltipButtonClick;
  var transI18n = (0, _i18n.useI18n)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltipsButton.FrcTooltipButton, {
    onTooltipButtonClick: onTooltipButtonClick,
    tooltip: {
      content: transI18n('fmt_role_participant'),
      icon: {
        type: _type.FcrIconType.FCR_PEOPLE,
        size: 32,
        colors: {
          iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
        }
      }
    },
    withPopover: false
  });
};