import './index.css';
export declare enum AudioProcessingChannel {
    MONO = "1",
    STEREO = "2"
}
export interface ShareAudioProps {
    shareWithAudio: boolean;
    currentAudioChannel?: AudioProcessingChannel;
    onSwitchAudioChannel?: (target: AudioProcessingChannel) => void;
    toggleShareWithAudio?: (target: boolean) => void;
}
export declare const ShareAudio: (props: ShareAudioProps) => import("react/jsx-runtime").JSX.Element;
