"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShareScreenContentHint = void 0;
var _i18n = require("../../../i18n");
var _checkbox = require("../../checkbox");
var _tooltip = require("../../tooltip");
require("./index.css");
var _jsxRuntime = require("react/jsx-runtime");
var ShareScreenContentHint = exports.ShareScreenContentHint = function ShareScreenContentHint(props) {
  var isFluent = props.isFluent,
    onChangeHint = props.onChangeHint;
  var t = (0, _i18n.useI18n)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: "share-screen-content-hint",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltip.FcrToolTip, {
      content: t('fmt_uimanager_option_Improvefluency'),
      trigger: "hover",
      placement: "top",
      mouseEnterDelay: 0,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "share-screen-content-hint__action-button share-audio-button",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_checkbox.FcrCheckbox, {
          onChange: onChangeHint,
          label: t('fmt_uimanager_option_Fluencypriority'),
          styleType: "brand",
          checked: isFluent
        })
      })
    })
  });
};