"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DragIcon = void 0;
var _i18n = require("../../../i18n");
var _icon = require("../../icon");
var _type = require("../../icon/type");
var _tooltip = require("../../tooltip");
require("./drag-icon.css");
var _jsxRuntime = require("react/jsx-runtime");
var DragIcon = exports.DragIcon = function DragIcon() {
  var t = (0, _i18n.useI18n)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltip.FcrToolTip, {
    content: t('fmt_popup_button_drag'),
    trigger: "hover",
    mouseEnterDelay: 0,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
        type: _type.FcrIconType.FCR_WHITEBOARD_MOVE,
        className: "drag-icon",
        colors: {
          iconPrimary: 'var(--fcr_ui_scene_black8)'
        },
        size: 20
      })
    })
  });
};