"use strict";

require("core-js/modules/es.symbol.js");
require("core-js/modules/es.array.filter.js");
require("core-js/modules/es.array.for-each.js");
require("core-js/modules/es.array.push.js");
require("core-js/modules/es.object.define-properties.js");
require("core-js/modules/es.object.define-property.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.get-own-property-descriptors.js");
require("core-js/modules/es.object.keys.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/esnext.async-iterator.filter.js");
require("core-js/modules/esnext.async-iterator.for-each.js");
require("core-js/modules/esnext.iterator.constructor.js");
require("core-js/modules/esnext.iterator.filter.js");
require("core-js/modules/esnext.iterator.for-each.js");
require("core-js/modules/web.dom-collections.for-each.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Basic = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _index = require("./index");
var _jsxRuntime = require("react/jsx-runtime");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2["default"])(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var meta = {
  title: 'Components/ShareSelectionWindow',
  tags: ['autodocs'],
  argTypes: {
    currentShareType: {
      control: {
        type: 'text'
      }
    },
    onChangeShareType: {
      action: 'onChangeShareType'
    },
    cards: {
      control: {
        type: 'object'
      }
    },
    applications: {
      control: {
        type: 'object'
      }
    },
    shareWithAudio: {
      control: {
        type: 'boolean'
      }
    },
    isFluent: {
      control: {
        type: 'boolean'
      }
    }
  }
};
var Basic = exports.Basic = {
  args: {
    currentShareType: 'basic',
    onChangeShareType: function onChangeShareType(type) {
      console.log(type);
    },
    screens: [{
      key: '1',
      title: '屏幕',
      content: '屏幕内容'
    }, {
      key: '2',
      title: '窗口',
      content: '窗口内容',
      active: true
    }, {
      key: '3',
      title: '白板',
      content: '白板内容'
    }, {
      key: '4',
      title: '文件',
      content: '文件内容'
    }, {
      key: '5',
      title: '视频',
      content: '视频内容'
    }],
    applications: [{
      key: '1',
      title: '应用1',
      content: '应用1内容'
    }, {
      key: '2',
      title: '应用2',
      content: '应用2内容'
    }, {
      key: '3',
      title: '应用3',
      content: '应用3内容'
    }],
    shareWithAudio: true,
    isFluent: true
  },
  render: function render(props) {
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: ["\u7070\u8272\u8FB9\u6846\u662F\u4E3A\u4E86\u65B9\u4FBF\u67E5\u770B\u7EC4\u4EF6\u7684\u8FB9\u754C", /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        style: {
          border: '1px solid #eee'
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.ShareSelectionWindow, _objectSpread({}, props))
      })]
    });
  }
};
var _default = exports["default"] = meta;