"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NetworkQuality = void 0;
var _useNamespace = require("../../utilities/use-namespace");
var _icon = require("../icon");
var _type = require("../icon/type");
require("./index.css");
var _jsxRuntime = require("react/jsx-runtime");
var qualityImgMap = {
  poor: _type.FcrIconType.FCR_V2_SIGNAL_BAD,
  average: _type.FcrIconType.FCR_V2_SIGNAL_NORMAL,
  excellent: _type.FcrIconType.FCR_V2_SIGNAL_GOOD
};
var NetworkQuality = exports.NetworkQuality = function NetworkQuality(props) {
  var ns = (0, _useNamespace.useNamespace)('network-quality');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: ns.b(),
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: qualityImgMap[props.quality],
      size: 20
    })
  });
};