import 'rc-tooltip/assets/bootstrap_white.css';
import { FC } from 'react';
import './index.css';
import './arrow.css';
import { ToolTipProps } from '.';
export interface GuideToolTipProps extends ToolTipProps {
    /**
     * 是否显示关闭按钮
     */
    /** @en
     * Size of the input box:
     * medium
     * large
     */
    closable?: boolean;
    /**
     * 点击关闭按钮的回调
     */
    /** @en
     * Size of the input box:
     * medium
     * large
     */
    onClose?: () => void;
}
export declare const FcrGuideToolTip: FC<GuideToolTipProps>;
