import { FcrUIConfig, FcrUIDarkColors, FcrUILightColors, FcrUIRadius } from './fcr-ui-config';
import { ThemeMode } from './generate';
export declare const themeContext: import("react").Context<{
    theme: ThemeMode;
    config: FcrUIConfig;
    getCurrentThemeColors: () => FcrUILightColors | FcrUIDarkColors;
    getRadius: () => FcrUIRadius;
}>;
declare const Provider: import("react").Provider<{
    theme: ThemeMode;
    config: FcrUIConfig;
    getCurrentThemeColors: () => FcrUILightColors | FcrUIDarkColors;
    getRadius: () => FcrUIRadius;
}>, Consumer: import("react").Consumer<{
    theme: ThemeMode;
    config: FcrUIConfig;
    getCurrentThemeColors: () => FcrUILightColors | FcrUIDarkColors;
    getRadius: () => FcrUIRadius;
}>;
export { Provider as ThemeProvider, Consumer as ThemeConsumer };
