"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.More = void 0;
require("core-js/modules/es.array.map.js");
require("core-js/modules/esnext.async-iterator.map.js");
require("core-js/modules/esnext.iterator.map.js");
var _react = require("react");
var _i18n = require("../../../i18n");
var _type = require("../../icon/type");
var _tooltip = require("../../tooltip");
var _item = require("../item");
var _ = require("..");
var _jsxRuntime = require("react/jsx-runtime");
var More = exports.More = function More(_ref) {
  var id = _ref.id,
    order = _ref.order;
  var t = (0, _i18n.useI18n)();
  var _useContext = (0, _react.useContext)(_.actionBarCollapesContext),
    collapseList = _useContext.collapseList;
  var title = t('fmt_participants_member_button_more');
  var tooltip = t('fmt_participants_member_button_more');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltip.FcrToolTip, {
    content: tooltip,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_item.ActionBarItemWithPopover, {
      popoverProps: {
        trigger: 'click',
        content: collapseList === null || collapseList === void 0 ? void 0 : collapseList.map(function (item) {
          return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
            style: {
              color: 'var(--fcr_ui_scene_icontext1)'
            },
            children: item
          });
        })
      },
      id: id,
      order: order,
      icon: _type.FcrIconType.FCR_MOBILE_MORE,
      title: title,
      onClick: function onClick() {},
      iconColors: {
        iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
      }
    })
  });
};