"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Participants = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = require("react");
var _i18n = require("../../../i18n");
var _tooltip = require("../../tooltip");
var _item = require("../item");
var _type = require("../../icon/type");
var _jsxRuntime = require("react/jsx-runtime");
var Participants = exports.Participants = function Participants(_ref) {
  var id = _ref.id,
    order = _ref.order;
  var t = (0, _i18n.useI18n)();
  var _useState = (0, _react.useState)(false),
    _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
    tooltipVisible = _useState2[0],
    setTooltipVisible = _useState2[1];
  var _useState3 = (0, _react.useState)(false),
    _useState4 = (0, _slicedToArray2["default"])(_useState3, 2),
    dialogTooltipVisible = _useState4[0],
    setDialogTooltipVisible = _useState4[1];
  var userCount = 0;
  var title = t('fmt_role_label_participants');
  var tooltip = t('fmt_role_label_participants');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltip.FcrToolTip, {
    visible: tooltipVisible,
    onVisibleChange: function onVisibleChange(visible) {
      if (dialogTooltipVisible) {
        setTooltipVisible(false);
      } else {
        setTooltipVisible(visible);
      }
    },
    content: tooltip,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: "fcr-action-bar-participants-wrapper",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_item.ActionBarItem, {
        id: id,
        order: order,
        onClick: function onClick() {},
        icon: _type.FcrIconType.FCR_PEOPLE,
        iconColors: {
          iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
        },
        title: title
      })
    })
  });
};