"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Settings = void 0;
var _i18n = require("../../../i18n");
var _type = require("../../icon/type");
var _tooltip = require("../../tooltip");
var _item = require("../item");
var _jsxRuntime = require("react/jsx-runtime");
var Settings = exports.Settings = function Settings(_ref) {
  var id = _ref.id,
    order = _ref.order;
  var t = (0, _i18n.useI18n)();
  var title = t('fcr_settings_setting');
  var tooltip = t('fcr_settings_setting');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltip.FcrToolTip, {
    content: tooltip,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_item.ActionBarItem, {
      id: id,
      order: order,
      icon: _type.FcrIconType.FCR_SETTING,
      title: title,
      onClick: function onClick() {},
      iconColors: {
        iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
      }
    })
  });
};