"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrAvatarIcon = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
require("./index.css");
var _icon = require("../icon");
var _type = require("../icon/type");
var _jsxRuntime = require("react/jsx-runtime");
var FcrAvatarIcon = exports.FcrAvatarIcon = function FcrAvatarIcon(_ref) {
  var size = _ref.size,
    type = _ref.type;
  var cls = (0, _classnames["default"])('fcr-avatar-icon', {
    'fcr-avatar-icon-phone': type === 'phone',
    'fcr-avatar-icon-sip': type === 'sip'
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: cls,
    style: {
      width: size,
      height: size
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: type === 'phone' ? _type.FcrIconType.FCR_PHONECALL3 : _type.FcrIconType.FCR_SIPDEVICE,
      size: 24
    })
  });
};