"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CameraStateMobile = void 0;
var _icon = require("../icon");
var _type = require("../icon/type");
var _jsxRuntime = require("react/jsx-runtime");
var CameraStateMobile = exports.CameraStateMobile = function CameraStateMobile(props) {
  var isCameraMuted = props.isCameraMuted,
    _props$size = props.size,
    size = _props$size === void 0 ? 20 : _props$size,
    ignoreColor = props.ignoreColor;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: isCameraMuted ? _type.FcrIconType.FCR_CAMERAOFF : _type.FcrIconType.FCR_CAMERA,
      colors: ignoreColor ? {
        iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)',
        iconSecondary: 'var(--fcr_web_ui_scene_mainicon1)'
      } : {
        iconPrimary: isCameraMuted ? 'var(--fcr_ui_scene_white10)' : 'var(--fcr_web_ui_scene_mainicon1)',
        iconSecondary: isCameraMuted ? 'var(--fcr_ui_scene_white10)' : 'var(--fcr_web_ui_scene_mainicon1)'
      },
      size: size
    })
  });
};