"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Doc = void 0;
var _ = require(".");
var _jsxRuntime = require("react/jsx-runtime");
var meta = {
  title: 'Components/ChatWrapper',
  tags: ['autodocs'],
  component: _.ChatWrapper,
  args: {
    errorMsg: '超过限制',
    forbiddenTxt: '全体禁言',
    singling: true,
    forbidden: false,
    styles: {
      display: 'flex'
    },
    isHost: false
  },
  argTypes: {}
};
var Doc = exports.Doc = function Doc(props) {
  var styles = props.styles,
    forbiddenTxt = props.forbiddenTxt,
    forbidden = props.forbidden,
    errorMsg = props.errorMsg,
    singling = props.singling,
    isHost = props.isHost;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    style: {
      background: 'aliceblue'
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        marginBottom: 50,
        display: 'flex',
        height: 460,
        width: 320
      },
      children: ["Basic:", /*#__PURE__*/(0, _jsxRuntime.jsx)(_.ChatWrapper, {
        styles: styles,
        errorMsg: errorMsg,
        forbiddenTxt: forbiddenTxt,
        singling: singling,
        forbidden: forbidden,
        isHost: isHost,
        privateTarget: "All"
      })]
    })
  });
};
var _default = exports["default"] = meta;