import React, { CSSProperties } from 'react';
import './index.css';
export interface ChatWrapperProps {
    msgBarElement?: any;
    errorMsg?: string;
    forbiddenTxt?: string;
    styles?: CSSProperties;
    singling?: boolean;
    forbidden?: boolean;
    isHost?: boolean;
    handMsg?: (msg: string) => void;
    onClose?: () => void;
    onTypeChange?: () => void;
    onSelectCancel?: () => void;
    onSelectConfirm?: () => void;
    multiSelectActive?: boolean;
    selectCnt?: number;
    targetUserIsOnline?: boolean;
    selectTargetNickname?: string;
    handleClickUploadImage?: () => void;
    defaultMsg?: string;
    updateChatTextMsg?: (msg: string) => void;
    privateTarget: string;
    autoSizeParams?: {
        minHeight?: number;
        maxHeight?: number;
    };
}
export declare const CHAT_WRAPPER_CLASS = "fcr-chat-wrapper";
export declare const ChatWrapper: React.FC<React.PropsWithChildren<ChatWrapperProps>>;
