"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrVideoSettingTabs = exports.FcrDevicePretestPageSettings = void 0;
require("core-js/modules/es.array.map.js");
require("core-js/modules/esnext.async-iterator.map.js");
require("core-js/modules/esnext.iterator.map.js");
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
require("./index.css");
var _jsxRuntime = require("react/jsx-runtime");
var FcrDevicePretestPageSettings = exports.FcrDevicePretestPageSettings = function FcrDevicePretestPageSettings(_ref) {
  var actionType = _ref.actionType,
    meetingInfo = _ref.meetingInfo,
    videoInfos = _ref.videoInfos,
    handleAction = _ref.handleAction;
  var cls = (0, _classnames["default"])('fcr-video-preview-settings-wrapper');
  var _ref2 = meetingInfo || {
      meetingName: '',
      meetingHostName: ''
    },
    meetingName = _ref2.meetingName,
    meetingHostName = _ref2.meetingHostName;
  var _ref3 = videoInfos || {
      enableVideo: true,
      enableAudio: true,
      enableVirtualBg: false,
      enableBeauty: false,
      enableMirror: false,
      leftRotationAngle: 0,
      microphonePercentage: 0
    },
    enableVideo = _ref3.enableVideo,
    enableAudio = _ref3.enableAudio,
    enableVirtualBg = _ref3.enableVirtualBg,
    enableBeauty = _ref3.enableBeauty,
    enableMirror = _ref3.enableMirror,
    leftRotationAngle = _ref3.leftRotationAngle,
    microphonePercentage = _ref3.microphonePercentage;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: cls
  });
};
var FcrVideoSettingTabs = exports.FcrVideoSettingTabs = function FcrVideoSettingTabs(_ref4) {
  var tabs = _ref4.tabs,
    activeKey = _ref4.activeKey,
    onChange = _ref4.onChange;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: 'fcr-video-setting-tabs',
    children: tabs.map(function (tab) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: (0, _classnames["default"])('fcr-video-setting-tab', {
          'fcr-video-setting-tab-active': tab.key === activeKey
        }),
        onClick: function onClick() {
          return onChange(tab.key);
        },
        children: tab.title
      }, tab.key);
    })
  });
};