"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CameraSelect = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = require("react");
var _select = require("../../select");
var _i18n = require("../../../i18n");
var _jsxRuntime = require("react/jsx-runtime");
var CameraSelect = exports.CameraSelect = function CameraSelect() {
  var t = (0, _i18n.useI18n)();
  var _useState = (0, _react.useState)(undefined),
    _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
    cameraDeviceId = _useState2[0],
    setCameraDeviceId = _useState2[1];
  var cameraDevicesList = [{
    text: 'Device1',
    value: '1'
  }, {
    text: 'Device2',
    value: '2'
  }, {
    text: 'Device3',
    value: '3'
  }];
  var setCameraDevice = function setCameraDevice(id) {
    setCameraDeviceId(id);
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_select.FcrSelect, {
    options: cameraDevicesList,
    value: cameraDeviceId,
    onChange: setCameraDevice,
    disabled: cameraDevicesList.length === 0,
    blurred: true,
    placeholder: t('fmt_uimanager_labels_deviceselect') // 请选择设备
  });
};