"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrBasicConfirmDialog = void 0;
var _ = require(".");
var _button = require("../button");
require("./basic-confirm-dialog.css");
var _jsxRuntime = require("react/jsx-runtime");
var FcrBasicConfirmDialog = exports.FcrBasicConfirmDialog = function FcrBasicConfirmDialog(props) {
  var title = props.title,
    text = props.text,
    cancelText = props.cancelText,
    okText = props.okText,
    onOk = props.onOk,
    onCancel = props.onCancel,
    visible = props.visible,
    getContainer = props.getContainer;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_.BaseDialog, {
    classNames: "basic-confirm-dialog",
    closable: false,
    width: 320,
    visible: visible,
    getContainer: getContainer,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: "basic-confirm-dialog__content",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "basic-confirm-dialog__title",
        children: title
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "basic-confirm-dialog__text",
        children: text
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: "basic-confirm-dialog__footer",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_button.FcrButton, {
          type: "secondary",
          shape: "rounded",
          size: "S",
          onClick: onCancel,
          children: cancelText
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.FcrButton, {
          size: "S",
          shape: "rounded",
          onClick: onOk,
          children: okText
        })]
      })]
    })
  });
};