import { FC } from 'react';
import { FcrIconProps } from '../icon';
import { FcrIconType } from '../icon/type';
import './index.css';
interface FcrIconButtonProps {
    size?: 'large' | 'small' | 'mini';
    icon: FcrIconType;
    disabled?: boolean;
    className?: string;
    onClick?: () => void;
    iconColors?: FcrIconProps['colors'];
}
export declare const FcrIconButton: FC<FcrIconButtonProps>;
export interface PretestDeviceIconProps {
    icon: FcrIconType;
    status: 'active' | 'inactive' | 'idle' | 'disabled';
    tooltip: string;
    onClick?: () => void;
    disabled?: boolean;
    className?: string;
    size?: 'large' | 'small';
}
export declare const FcrPretestDeviceIcon: FC<PretestDeviceIconProps>;
export {};
