"use strict";

require("core-js/modules/es.symbol.js");
require("core-js/modules/es.array.filter.js");
require("core-js/modules/es.array.for-each.js");
require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.array.push.js");
require("core-js/modules/es.object.define-properties.js");
require("core-js/modules/es.object.define-property.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.get-own-property-descriptors.js");
require("core-js/modules/es.object.keys.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/es.weak-map.js");
require("core-js/modules/esnext.async-iterator.filter.js");
require("core-js/modules/esnext.async-iterator.for-each.js");
require("core-js/modules/esnext.iterator.constructor.js");
require("core-js/modules/esnext.iterator.filter.js");
require("core-js/modules/esnext.iterator.for-each.js");
require("core-js/modules/esnext.weak-map.delete-all.js");
require("core-js/modules/esnext.weak-map.emplace.js");
require("core-js/modules/web.dom-collections.for-each.js");
require("core-js/modules/web.dom-collections.iterator.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IconText = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireWildcard(require("react"));
require("./index.css");
var _icon = require("../icon");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2["default"])(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var IconText = exports.IconText = function IconText(_ref) {
  var styles = _ref.styles,
    _ref$fontSize = _ref.fontSize,
    fontSize = _ref$fontSize === void 0 ? 'large' : _ref$fontSize,
    icon = _ref.icon,
    colors = _ref.colors,
    txt = _ref.txt,
    transform = _ref.iconTransform,
    classnames = _ref.classnames,
    enable = _ref.enable,
    _onClick = _ref.onClick,
    iconReverse = _ref.iconReverse,
    _ref$isHideIcon = _ref.isHideIcon,
    isHideIcon = _ref$isHideIcon === void 0 ? false : _ref$isHideIcon;
  var cls = (0, _classnames["default"])('fcr-icon-text');
  var spanCls = (0, _classnames["default"])('fcr-icon-text__text', _objectSpread({
    'fcr-icon-text__text--small': fontSize === 'small',
    'fcr-icon-text__text--medium': fontSize === 'medium',
    'fcr-icon-text__text--large': fontSize === 'large',
    'fcr-icon-text__text--hide-icon': isHideIcon
  }, classnames));
  var text = (0, _react.useMemo)(function () {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: spanCls,
      children: txt
    });
  }, [txt, spanCls]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: cls,
    style: _objectSpread({}, styles),
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: 'fcr-icon-text-wrapper',
      children: [iconReverse && text, !isHideIcon && /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
        style: _objectSpread({}, transform && {
          transform: 'rotate(180deg)'
        }),
        type: icon,
        colors: colors,
        size: fontSize === 'small' ? 10 : 24,
        onClick: function onClick() {
          if (enable) {
            _onClick && _onClick();
          }
        }
      }), !iconReverse && text]
    })
  });
};