import { FC, CSSProperties, MouseEventHandler } from 'react';
import { FcrIconType } from './type';
import { PathOptions } from './svg-dict';
export type FcrIconProps = {
    type: FcrIconType;
    size?: number;
    className?: string;
    style?: CSSProperties;
    colors?: Partial<PathOptions>;
    onClick?: MouseEventHandler<SVGSVGElement>;
};
export declare const FcrIcon: FC<FcrIconProps>;
