"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrIconType = void 0;
var FcrIconType = exports.FcrIconType = /*#__PURE__*/function (FcrIconType) {
  FcrIconType["CHAT_PRIVATE"] = "chat_private";
  FcrIconType["CHEVRON_RIGHT"] = "chevron_right";
  FcrIconType["FCR_ALF2"] = "fcr_alf2";
  FcrIconType["FCR_ALIYUN"] = "fcr_aliyun";
  FcrIconType["FCR_ALL_MUTE"] = "fcr_all_mute";
  FcrIconType["FCR_ALL_UNMUTE"] = "fcr_all_unmute";
  FcrIconType["FCR_ALLLEAVE"] = "fcr_allleave";
  FcrIconType["FCR_ANGLE_TIPS"] = "fcr_angle_tips";
  FcrIconType["FCR_ATTACH"] = "fcr_attach";
  FcrIconType["FCR_BACKGROUND2"] = "fcr_background2";
  FcrIconType["FCR_BEAUTY"] = "fcr_beauty";
  FcrIconType["FCR_BEAUTY_BLUSH"] = "fcr_beauty_blush";
  FcrIconType["FCR_BEAUTY_RETOUCH"] = "fcr_beauty_retouch";
  FcrIconType["FCR_BELL"] = "fcr_bell";
  FcrIconType["FCR_BTN_LOADING"] = "fcr_btn_loading";
  FcrIconType["FCR_CAMERA"] = "fcr_camera";
  FcrIconType["FCR_CAMERA3"] = "fcr_camera3";
  FcrIconType["FCR_CAMERA_WINDOW_LOADING"] = "fcr_camera_window_loading";
  FcrIconType["FCR_CAMERA_WINDOW_NOT"] = "fcr_camera_window_not";
  FcrIconType["FCR_CAMERA_WINDOW_NOTWORK"] = "fcr_camera_window_notwork";
  FcrIconType["FCR_CAMERACRASH"] = "fcr_cameracrash";
  FcrIconType["FCR_CAMERAOFF"] = "fcr_cameraoff";
  FcrIconType["FCR_CHAT"] = "fcr_chat";
  FcrIconType["FCR_CHAT2"] = "fcr_chat2";
  FcrIconType["FCR_CHAT_ON"] = "fcr_chat_on";
  FcrIconType["FCR_CHAT_PLACEHOLDER"] = "fcr_chat_placeholder";
  FcrIconType["FCR_CHAT_REDDOT"] = "fcr_chat_reddot";
  FcrIconType["FCR_CHECKBOX_CHECK"] = "fcr_checkbox_check";
  FcrIconType["FCR_CHEXBOX_INDETERMINATE"] = "fcr_chexbox_indeterminate";
  FcrIconType["FCR_CHOOSEIT"] = "fcr_chooseit";
  FcrIconType["FCR_CLOCK"] = "fcr_clock";
  FcrIconType["FCR_CLOSE"] = "fcr_close";
  FcrIconType["FCR_CLOSE2"] = "fcr_close2";
  FcrIconType["FCR_CLOSED"] = "fcr_closed";
  FcrIconType["FCR_CLOUDRECORD"] = "fcr_cloudrecord";
  FcrIconType["FCR_COHOST1"] = "fcr_cohost1";
  FcrIconType["FCR_COHOST2"] = "fcr_cohost2";
  FcrIconType["FCR_COLON"] = "fcr_colon";
  FcrIconType["FCR_COMPUTERDATA"] = "fcr_computerdata";
  FcrIconType["FCR_COPY"] = "fcr_copy";
  FcrIconType["FCR_COPY2"] = "fcr_copy2";
  FcrIconType["FCR_COPY_ICON"] = "fcr_copy_icon";
  FcrIconType["FCR_COUNTDOWN_DOWN"] = "fcr_countdown_down";
  FcrIconType["FCR_COUNTDOWN_UP"] = "fcr_countdown_up";
  FcrIconType["FCR_DEFAULTPAGE"] = "fcr_defaultpage";
  FcrIconType["FCR_DELETE3"] = "fcr_delete3";
  FcrIconType["FCR_DELETE4"] = "fcr_delete4";
  FcrIconType["FCR_DEVICEAUDIOOFF"] = "fcr_deviceaudiooff";
  FcrIconType["FCR_DEVICEAUDIOON"] = "fcr_deviceaudioon";
  FcrIconType["FCR_DOWN"] = "fcr_down";
  FcrIconType["FCR_DOWN1"] = "fcr_down1";
  FcrIconType["FCR_DOWNLOAD"] = "fcr_download";
  FcrIconType["FCR_DROPDOWN"] = "fcr_dropdown";
  FcrIconType["FCR_DROPDOWN2"] = "fcr_dropdown2";
  FcrIconType["FCR_DROPDOWN4"] = "fcr_dropdown4";
  FcrIconType["FCR_DROPUP4"] = "fcr_dropup4";
  FcrIconType["FCR_EMO"] = "fcr_emo";
  FcrIconType["FCR_ENDMEETING"] = "fcr_endmeeting";
  FcrIconType["FCR_EQUALRATIO"] = "fcr_equalratio";
  FcrIconType["FCR_EXCLAMATIONMASK"] = "fcr_exclamationmask";
  FcrIconType["FCR_FILE"] = "fcr_file";
  FcrIconType["FCR_FILE_AH5"] = "fcr_file_ah5";
  FcrIconType["FCR_FILE_ALF"] = "fcr_file_alf";
  FcrIconType["FCR_FILE_AUDIO"] = "fcr_file_audio";
  FcrIconType["FCR_FILE_DOC"] = "fcr_file_doc";
  FcrIconType["FCR_FILE_EXCEL"] = "fcr_file_excel";
  FcrIconType["FCR_FILE_NOFORMAT"] = "fcr_file_noformat";
  FcrIconType["FCR_FILE_PDF"] = "fcr_file_pdf";
  FcrIconType["FCR_FILE_PHOTO"] = "fcr_file_photo";
  FcrIconType["FCR_FILE_PPT"] = "fcr_file_ppt";
  FcrIconType["FCR_FILE_VIDEO"] = "fcr_file_video";
  FcrIconType["FCR_FOCUSONHIM"] = "fcr_focusonhim";
  FcrIconType["FCR_FOURWINDOWS"] = "fcr_fourwindows";
  FcrIconType["FCR_FOURWINDOWS2"] = "fcr_fourwindows2";
  FcrIconType["FCR_FULLCOVERAGE"] = "fcr_fullcoverage";
  FcrIconType["FCR_GOTOSTAGE"] = "fcr_gotostage";
  FcrIconType["FCR_GOTOSTAGE_NOT"] = "fcr_gotostage_not";
  FcrIconType["FCR_GOTOSTAGE_ON"] = "fcr_gotostage_on";
  FcrIconType["FCR_GOTOTOP"] = "fcr_gototop";
  FcrIconType["FCR_GRID_BIG"] = "fcr_grid_big";
  FcrIconType["FCR_HEAD"] = "fcr_head";
  FcrIconType["FCR_HELPQUESTION"] = "fcr_helpquestion";
  FcrIconType["FCR_HIDEVIDEO"] = "fcr_hidevideo";
  FcrIconType["FCR_HOME_CODE2"] = "fcr_home_code2";
  FcrIconType["FCR_HOST"] = "fcr_host";
  FcrIconType["FCR_HOST2"] = "fcr_host2";
  FcrIconType["FCR_INTERPRETATION2"] = "fcr_interpretation2";
  FcrIconType["FCR_LEFT"] = "fcr_left";
  FcrIconType["FCR_LEFT1"] = "fcr_left1";
  FcrIconType["FCR_LEFT3"] = "fcr_left3";
  FcrIconType["FCR_LEFT4"] = "fcr_left4";
  FcrIconType["FCR_LINK"] = "fcr_link";
  FcrIconType["FCR_LIST_DELETE"] = "fcr_list_delete";
  FcrIconType["FCR_LIST_ON_RIGHT_BIG"] = "fcr_list_on_right_big";
  FcrIconType["FCR_LIST_ON_TOP_BIG"] = "fcr_list_on_top_big";
  FcrIconType["FCR_LIVE"] = "fcr_live";
  FcrIconType["FCR_LIVE2"] = "fcr_live2";
  FcrIconType["FCR_LIVEICON"] = "fcr_liveicon";
  FcrIconType["FCR_LOADING"] = "fcr_loading";
  FcrIconType["FCR_LOWER_HAND"] = "fcr_lower_hand";
  FcrIconType["FCR_MEETINGRECORD"] = "fcr_meetingrecord";
  FcrIconType["FCR_MINUS"] = "fcr_minus";
  FcrIconType["FCR_MIRRORIMAGE_LEFT"] = "fcr_mirrorimage_left";
  FcrIconType["FCR_MIRRORIMAGE_OFF"] = "fcr_mirrorimage_off";
  FcrIconType["FCR_MIRRORIMAGE_RIGHT"] = "fcr_mirrorimage_right";
  FcrIconType["FCR_MOBILE_ARROW_LEFT"] = "fcr_mobile_arrow_left";
  FcrIconType["FCR_MOBILE_CAMERA2"] = "fcr_mobile_camera2";
  FcrIconType["FCR_MOBILE_CHAT2"] = "fcr_mobile_chat2";
  FcrIconType["FCR_MOBILE_CHAT3"] = "fcr_mobile_chat3";
  FcrIconType["FCR_MOBILE_DUPLICATE"] = "fcr_mobile_duplicate";
  FcrIconType["FCR_MOBILE_MORE"] = "fcr_mobile_more";
  FcrIconType["FCR_MOBILE_SHARESCREEN"] = "fcr_mobile_sharescreen";
  FcrIconType["FCR_MOBILE_SUBTITIES_ON"] = "fcr_mobile_subtities_on";
  FcrIconType["FCR_MOBILE_WHITEBOARD_REDO"] = "fcr_mobile_whiteboard_redo";
  FcrIconType["FCR_MOBILE_WHITEBOARD_UNDO"] = "fcr_mobile_whiteboard_undo";
  FcrIconType["FCR_MORE2"] = "fcr_more2";
  FcrIconType["FCR_MOREAPP"] = "fcr_moreapp";
  FcrIconType["FCR_MOVE"] = "fcr_move";
  FcrIconType["FCR_MOVETO"] = "fcr_moveto";
  FcrIconType["FCR_MUTE"] = "fcr_mute";
  FcrIconType["FCR_MUTECRASH"] = "fcr_mutecrash";
  FcrIconType["FCR_MUTEDEFAULT"] = "fcr_mutedefault";
  FcrIconType["FCR_NOMUTE"] = "fcr_nomute";
  FcrIconType["FCR_NOTICE"] = "fcr_notice";
  FcrIconType["FCR_ONELEAVE"] = "fcr_oneleave";
  FcrIconType["FCR_OPENFILE"] = "fcr_openfile";
  FcrIconType["FCR_ORDER_DOWN"] = "fcr_order_down";
  FcrIconType["FCR_ORDER_UP"] = "fcr_order_up";
  FcrIconType["FCR_PAUSE2"] = "fcr_pause2";
  FcrIconType["FCR_PEN_CURVE_1SIZE"] = "fcr_pen_curve_1size";
  FcrIconType["FCR_PEN_CURVE_2SIZE"] = "fcr_pen_curve_2size";
  FcrIconType["FCR_PEN_CURVE_3SIZE"] = "fcr_pen_curve_3size";
  FcrIconType["FCR_PEN_CURVE_4SIZE"] = "fcr_pen_curve_4size";
  FcrIconType["FCR_PEN_LINE_1SIZE"] = "fcr_pen_line_1size";
  FcrIconType["FCR_PEN_LINE_2SIZE"] = "fcr_pen_line_2size";
  FcrIconType["FCR_PEN_LINE_3SIZE"] = "fcr_pen_line_3size";
  FcrIconType["FCR_PEN_LINE_4SIZE"] = "fcr_pen_line_4size";
  FcrIconType["FCR_PENSIZE"] = "fcr_pensize";
  FcrIconType["FCR_PENSIZE_STRAIGHT"] = "fcr_pensize_straight";
  FcrIconType["FCR_PEOPLE"] = "fcr_people";
  FcrIconType["FCR_PHONECALL1"] = "fcr_phonecall1";
  FcrIconType["FCR_PHONECALL2"] = "fcr_phonecall2";
  FcrIconType["FCR_PHONECALL3"] = "fcr_phonecall3";
  FcrIconType["FCR_PHONECALL_SILENCE"] = "fcr_phonecall_silence";
  FcrIconType["FCR_PICTURE"] = "fcr_picture";
  FcrIconType["FCR_PIN"] = "fcr_pin";
  FcrIconType["FCR_PINPAGE"] = "fcr_pinpage";
  FcrIconType["FCR_PINPAGE2"] = "fcr_pinpage2";
  FcrIconType["FCR_PLATFORM"] = "fcr_platform";
  FcrIconType["FCR_PPT_BROKEN"] = "fcr_ppt_broken";
  FcrIconType["FCR_PUT_WAITING_ROOM"] = "fcr_put_waiting_room";
  FcrIconType["FCR_QUESTION"] = "fcr_question";
  FcrIconType["FCR_QUESTION2"] = "fcr_question2";
  FcrIconType["FCR_QUIT2"] = "fcr_quit2";
  FcrIconType["FCR_RAISEHANDS"] = "fcr_raisehands";
  FcrIconType["FCR_RECORDING_END"] = "fcr_recording_end";
  FcrIconType["FCR_RECORDING_ON"] = "fcr_recording_on";
  FcrIconType["FCR_RECORDING_PLAY"] = "fcr_recording_play";
  FcrIconType["FCR_RECORDING_PLAY2"] = "fcr_recording_play2";
  FcrIconType["FCR_RECORDING_STOP"] = "fcr_recording_stop";
  FcrIconType["FCR_REMOVE_PIN"] = "fcr_remove_pin";
  FcrIconType["FCR_RENAME"] = "fcr_rename";
  FcrIconType["FCR_RENAME2"] = "fcr_rename2";
  FcrIconType["FCR_RESET"] = "fcr_reset";
  FcrIconType["FCR_REVERSEORDER"] = "fcr_reverseorder";
  FcrIconType["FCR_REWARD"] = "fcr_reward";
  FcrIconType["FCR_REWARDALL"] = "fcr_rewardall";
  FcrIconType["FCR_RIGHT"] = "fcr_right";
  FcrIconType["FCR_RIGHT2"] = "fcr_right2";
  FcrIconType["FCR_RIGHT3"] = "fcr_right3";
  FcrIconType["FCR_RIGHT4"] = "fcr_right4";
  FcrIconType["FCR_RIGHT5"] = "fcr_right5";
  FcrIconType["FCR_RIGHTWINDOWS"] = "fcr_rightwindows";
  FcrIconType["FCR_ROTATINGVIDEO"] = "fcr_rotatingvideo";
  FcrIconType["FCR_SCREENSHARE_CHANGE1"] = "fcr_screenshare_change1";
  FcrIconType["FCR_SCREENSHARE_CHANGE2"] = "fcr_screenshare_change2";
  FcrIconType["FCR_SCREENSHARING"] = "fcr_screensharing";
  FcrIconType["FCR_SCREENSHARING_1"] = "fcr_screensharing_1";
  FcrIconType["FCR_SCREENSHARING_ON"] = "fcr_screensharing_on";
  FcrIconType["FCR_SECURITY"] = "fcr_security";
  FcrIconType["FCR_SEND"] = "fcr_send";
  FcrIconType["FCR_SETTING"] = "fcr_setting";
  FcrIconType["FCR_SETTING2"] = "fcr_setting2";
  FcrIconType["FCR_SETTING_MEETINGASSISTANT"] = "fcr_setting_meetingassistant";
  FcrIconType["FCR_SETTING_NONE"] = "fcr_setting_none";
  FcrIconType["FCR_SETTING_TEACHER"] = "fcr_setting_teacher";
  FcrIconType["FCR_SHARE"] = "fcr_share";
  FcrIconType["FCR_SHARINGBAR_DOWN"] = "fcr_sharingbar_down";
  FcrIconType["FCR_SHARINGBAR_UP"] = "fcr_sharingbar_up";
  FcrIconType["FCR_SHOWVIDEO"] = "fcr_showvideo";
  FcrIconType["FCR_SIMULTANEOUSINTERPRETATION_OFF"] = "fcr_simultaneousinterpretation_off";
  FcrIconType["FCR_SIMULTANEOUSINTERPRETATION_ON"] = "fcr_simultaneousinterpretation_on";
  FcrIconType["FCR_SIPDEVICE"] = "fcr_sipdevice";
  FcrIconType["FCR_SMOOTH"] = "fcr_smooth";
  FcrIconType["FCR_STAR"] = "fcr_star";
  FcrIconType["FCR_STOP"] = "fcr_stop";
  FcrIconType["FCR_STOP3"] = "fcr_stop3";
  FcrIconType["FCR_STOPLIVE"] = "fcr_stoplive";
  FcrIconType["FCR_STOPSCREENSHARING"] = "fcr_stopscreensharing";
  FcrIconType["FCR_STUDENT_RASIEHAND"] = "fcr_student_rasiehand";
  FcrIconType["FCR_SUBTRACT"] = "fcr_subtract";
  FcrIconType["FCR_TOOLTIP_ARROW"] = "fcr_tooltip_arrow";
  FcrIconType["FCR_TOOLTIP_ARROW_2"] = "fcr_tooltip_arrow_2";
  FcrIconType["FCR_TOPWINDOWS"] = "fcr_topwindows";
  FcrIconType["FCR_TRANSLANGUAGE"] = "fcr_translanguage";
  FcrIconType["FCR_UNDERLINE"] = "fcr_underline";
  FcrIconType["FCR_UNPIN"] = "fcr_unpin";
  FcrIconType["FCR_UP"] = "fcr_up";
  FcrIconType["FCR_UP2"] = "fcr_up2";
  FcrIconType["FCR_UPLOADLIST"] = "fcr_uploadlist";
  FcrIconType["FCR_UPORDER"] = "fcr_uporder";
  FcrIconType["FCR_USERS"] = "fcr_users";
  FcrIconType["FCR_V2_ANSWER"] = "fcr_v2_answer";
  FcrIconType["FCR_V2_BREAKROOM"] = "fcr_v2_breakroom";
  FcrIconType["FCR_V2_CHEVRON_DOWN2"] = "fcr_v2_chevron_down2";
  FcrIconType["FCR_V2_CHEVRON_LEFT2"] = "fcr_v2_chevron_left2";
  FcrIconType["FCR_V2_CHEVRON_RIGHT2"] = "fcr_v2_chevron_right2";
  FcrIconType["FCR_V2_EXPANSIONSCREEN"] = "fcr_v2_expansionscreen";
  FcrIconType["FCR_V2_GOU_ALART"] = "fcr_v2_gou_alart";
  FcrIconType["FCR_V2_LOUDER"] = "fcr_v2_louder";
  FcrIconType["FCR_V2_LOUDER_MIN"] = "fcr_v2_louder_min";
  FcrIconType["FCR_V2_PHONE_MORE1"] = "fcr_v2_phone_more1";
  FcrIconType["FCR_V2_POLL_ADD"] = "fcr_v2_poll_add";
  FcrIconType["FCR_V2_POLL_MINUS"] = "fcr_v2_poll_minus";
  FcrIconType["FCR_V2_POLL_ZOOM"] = "fcr_v2_poll_zoom";
  FcrIconType["FCR_V2_QUITE"] = "fcr_v2_quite";
  FcrIconType["FCR_V2_SEARCH"] = "fcr_v2_search";
  FcrIconType["FCR_V2_SIGNAL_BAD"] = "fcr_v2_signal_bad";
  FcrIconType["FCR_V2_SIGNAL_GOOD"] = "fcr_v2_signal_good";
  FcrIconType["FCR_V2_SIGNAL_NORMAL"] = "fcr_v2_signal_normal";
  FcrIconType["FCR_V2_TANHAO_ALART"] = "fcr_v2_tanhao_alart";
  FcrIconType["FCR_V2_TIMER"] = "fcr_v2_timer";
  FcrIconType["FCR_V2_TOOL_NEW"] = "fcr_v2_tool_new";
  FcrIconType["FCR_V2_VOTE"] = "fcr_v2_vote";
  FcrIconType["FCR_VIDEO_SHARESCREEN"] = "fcr_video_sharescreen";
  FcrIconType["FCR_VIDEOBACK"] = "fcr_videoback";
  FcrIconType["FCR_VIDEOROTATION2"] = "fcr_videorotation2";
  FcrIconType["FCR_WAITING_ROOM"] = "fcr_waiting_room";
  FcrIconType["FCR_WEB_CHAT"] = "fcr_web_chat";
  FcrIconType["FCR_WEB_CONNECTSOUND"] = "fcr_web_connectsound";
  FcrIconType["FCR_WEB_FULLSCREAM"] = "fcr_web_fullscream";
  FcrIconType["FCR_WEB_MOVE_PAGE"] = "fcr_web_move_page";
  FcrIconType["FCR_WEB_RESTORATION"] = "fcr_web_restoration";
  FcrIconType["FCR_WEB_SCALE_LEFT"] = "fcr_web_scale_left";
  FcrIconType["FCR_WEB_SCALE_RIGHT"] = "fcr_web_scale_right";
  FcrIconType["FCR_WEB_SHARINGVIEW_MIDDLE"] = "fcr_web_sharingview_middle";
  FcrIconType["FCR_WEB_SHARINGVIEW_MIX"] = "fcr_web_sharingview_mix";
  FcrIconType["FCR_WEB_SHARINGVIEW_SMALL"] = "fcr_web_sharingview_small";
  FcrIconType["FCR_WEB_SMALLEST"] = "fcr_web_smallest";
  FcrIconType["FCR_WHITEBOARD"] = "fcr_whiteboard";
  FcrIconType["FCR_WHITEBOARD2"] = "fcr_whiteboard2";
  FcrIconType["FCR_WHITEBOARD_BACK"] = "fcr_whiteboard_back";
  FcrIconType["FCR_WHITEBOARD_BG"] = "fcr_whiteboard_bg";
  FcrIconType["FCR_WHITEBOARD_CLOUD"] = "fcr_whiteboard_cloud";
  FcrIconType["FCR_WHITEBOARD_ELIMINATE"] = "fcr_whiteboard_eliminate";
  FcrIconType["FCR_WHITEBOARD_ERASER"] = "fcr_whiteboard_eraser";
  FcrIconType["FCR_WHITEBOARD_EXPAND2"] = "fcr_whiteboard_expand2";
  FcrIconType["FCR_WHITEBOARD_FORWARD"] = "fcr_whiteboard_forward";
  FcrIconType["FCR_WHITEBOARD_LASERPEN"] = "fcr_whiteboard_laserpen";
  FcrIconType["FCR_WHITEBOARD_LASERPEN2"] = "fcr_whiteboard_laserpen2";
  FcrIconType["FCR_WHITEBOARD_LOWERRIGHTARROW"] = "fcr_whiteboard_lowerrightarrow";
  FcrIconType["FCR_WHITEBOARD_MOUSE"] = "fcr_whiteboard_mouse";
  FcrIconType["FCR_WHITEBOARD_MOVE"] = "fcr_whiteboard_move";
  FcrIconType["FCR_WHITEBOARD_MOVESUBJECTS"] = "fcr_whiteboard_movesubjects";
  FcrIconType["FCR_WHITEBOARD_MOVESUBJECTS2"] = "fcr_whiteboard_movesubjects2";
  FcrIconType["FCR_WHITEBOARD_ON"] = "fcr_whiteboard_on";
  FcrIconType["FCR_WHITEBOARD_PAGE"] = "fcr_whiteboard_page";
  FcrIconType["FCR_WHITEBOARD_PED"] = "fcr_whiteboard_ped";
  FcrIconType["FCR_WHITEBOARD_PED2"] = "fcr_whiteboard_ped2";
  FcrIconType["FCR_WHITEBOARD_PED3"] = "fcr_whiteboard_ped3";
  FcrIconType["FCR_WHITEBOARD_PED_CURVE"] = "fcr_whiteboard_ped_curve";
  FcrIconType["FCR_WHITEBOARD_PED_STRAIGHTLINE"] = "fcr_whiteboard_ped_straightline";
  FcrIconType["FCR_WHITEBOARD_SAVE"] = "fcr_whiteboard_save";
  FcrIconType["FCR_WHITEBOARD_SHAP_ARROW"] = "fcr_whiteboard_shap_arrow";
  FcrIconType["FCR_WHITEBOARD_SHAP_CIRCLE"] = "fcr_whiteboard_shap_circle";
  FcrIconType["FCR_WHITEBOARD_SHAP_CIRCLE_1"] = "fcr_whiteboard_shap_circle_1";
  FcrIconType["FCR_WHITEBOARD_SHAP_LINE"] = "fcr_whiteboard_shap_line";
  FcrIconType["FCR_WHITEBOARD_SHAP_REHUMBUS"] = "fcr_whiteboard_shap_rehumbus";
  FcrIconType["FCR_WHITEBOARD_SHAP_SQUARE"] = "fcr_whiteboard_shap_square";
  FcrIconType["FCR_WHITEBOARD_SHAP_STAR"] = "fcr_whiteboard_shap_star";
  FcrIconType["FCR_WHITEBOARD_SHAP_TRIANGLE"] = "fcr_whiteboard_shap_triangle";
  FcrIconType["FCR_WHITEBOARD_SLICE"] = "fcr_whiteboard_slice";
  FcrIconType["FCR_WHITEBOARD_TEXT"] = "fcr_whiteboard_text";
  FcrIconType["FCR_WHITEBOARD_TOOLBOX"] = "fcr_whiteboard_toolbox";
  FcrIconType["FCR_WHITECHOOSE"] = "fcr_whitechoose";
  FcrIconType["FCR_WIHITEBOARD_SLICE"] = "fcr_wihiteboard_slice";
  FcrIconType["FCR_WIHITEBOARD_SLICEWITHOUTCLASSROOM"] = "fcr_wihiteboard_slicewithoutclassroom";
  FcrIconType["FCR_WINDOW_BIGGER"] = "fcr_window_bigger";
  FcrIconType["FCR_WINDOW_SMALLER"] = "fcr_window_smaller";
  FcrIconType["FCR_WINDOWPAGE_BIGGER"] = "fcr_windowpage_bigger";
  FcrIconType["FCR_WINDOWPAGE_LONELY"] = "fcr_windowpage_lonely";
  FcrIconType["FCR_WINDOWPAGE_SMALLER"] = "fcr_windowpage_smaller";
  FcrIconType["FCR_WINDOWPAGE_SMALLER2"] = "fcr_windowpage_smaller2";
  FcrIconType["FCR_WINDOWPAGE_SMALLER3"] = "fcr_windowpage_smaller3";
  FcrIconType["FCR_WIZARD_ARROW"] = "fcr_wizard_arrow";
  FcrIconType["FCR_WRONG"] = "fcr_wrong";
  FcrIconType["FCR_ZOOMIN"] = "fcr_zoomin";
  FcrIconType["FCR_ZOOMOUT"] = "fcr_zoomout";
  FcrIconType["LOGO_MOONSHOT"] = "logo_moonshot";
  FcrIconType["LOGO_OPENAI"] = "logo_openai";
  FcrIconType["SET_SALE"] = "set_sale";
  FcrIconType["ZHIPUAI"] = "zhipuai";
  FcrIconType["FCR_MOBILE_CAMERAOFF2"] = "fcr_mobile_cameraoff2";
  return FcrIconType;
}({});