import React, { CSSProperties } from 'react';
import './index.css';
export interface LineCopyButtonProps {
    styles?: CSSProperties;
    direction?: 'left' | 'right';
    btnText?: string;
    onCopy?: (type: 'singling' | 'multiple') => void;
    margins?: {
        parentMarginR?: number;
        grandParentMarginR?: number;
        parentMarginL?: number;
        grandParentMarginL?: number;
    };
    onPrivate?: () => void;
    showPrivate?: boolean;
}
export declare const LineCopyButton: React.ForwardRefExoticComponent<LineCopyButtonProps & {
    children?: React.ReactNode | undefined;
} & React.RefAttributes<{
    dom: HTMLDivElement | null;
}>>;
export declare const PrivateButton: React.FC<{
    onPrivate?: () => void;
}>;
