import React, { CSSProperties, ReactNode } from 'react';
import './index.css';
export interface MessageLabelProps {
    color: string;
    publisher?: string;
    target?: string;
    time: string;
    avatar?: ReactNode;
    tag?: ReactNode;
    styles?: CSSProperties;
    publisherIsSelf?: boolean;
    targetIsSelf?: boolean;
    isPrivate?: boolean;
    handleClickPrivateChat?: () => void;
    nickname?: string;
    isSelf?: boolean;
}
export declare const MessageLabel: React.FC<React.PropsWithChildren<MessageLabelProps>>;
