"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Doc = void 0;
var _ = require(".");
var _avatar = require("../avatar");
var _messageBubble = require("../message-bubble");
var _i18n = require("../../i18n");
var _jsxRuntime = require("react/jsx-runtime");
var meta = {
  title: 'Components/MessageLabel',
  tags: ['autodocs'],
  component: _.MessageLabel,
  args: {
    styles: {
      display: 'flex'
    }
  },
  argTypes: {}
};
var Doc = exports.Doc = function Doc(props) {
  var styles = props.styles;
  var transI18n = (0, _i18n.useI18n)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    style: {
      display: 'flex',
      flexDirection: 'column',
      padding: 50,
      border: 'solid 0.5px #e5e7eb'
    },
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 300,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["Basic: \u81EA\u5DF1\u662F\u4E3B\u6301\u4EBA", /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        style: {
          display: 'flex',
          paddingRight: 30,
          flexDirection: 'column'
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.MessageLabel, {
          color: '#6A79FF',
          publisher: '',
          target: '',
          time: '2023-12-29 12:20 AM',
          tag: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
            className: "fcr-msg-tag",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
              children: transI18n('fmt_role_host')
            })
          })
        })
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 300,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["Basic:", /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        style: {
          display: 'flex',
          paddingRight: 30,
          flexDirection: 'column'
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.MessageLabel, {
          color: '#6A79FF',
          publisher: '',
          target: '',
          time: '2023-12-29 12:20 AM'
        })
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 300,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["\u5E26\u5934\u50CF:", /*#__PURE__*/(0, _jsxRuntime.jsx)(_.MessageLabel, {
        color: '#6A79FF',
        publisher: '',
        target: '',
        time: '2023-12-29 12:20 AM',
        avatar: /*#__PURE__*/(0, _jsxRuntime.jsx)(_avatar.FcrAvatar, {
          size: 24,
          textSize: 24,
          nickName: "\u5468"
        })
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 400,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["\u5E26\u5934\u50CF & Tag:", /*#__PURE__*/(0, _jsxRuntime.jsx)(_.MessageLabel, {
        color: '#6A79FF',
        publisher: '',
        target: '',
        time: '2023-12-29 12:20 AM'
        /**TODO：Tag */,
        tag: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: "fcr-msg-tag",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: transI18n('fmt_role_host')
          })
        }),
        avatar: /*#__PURE__*/(0, _jsxRuntime.jsx)(_avatar.FcrAvatar, {
          size: 24,
          textSize: 24,
          nickName: "T"
        })
      })]
    }), "\u5E26\u6D88\u606F\u6C14\u6CE1\u5C55\u793A\uFF1A", /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 300,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["Basic:", /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        style: {
          display: 'flex',
          paddingRight: 30,
          flexDirection: 'column'
        },
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_.MessageLabel, {
          color: '#6A79FF',
          publisher: '',
          target: '',
          time: '2023-12-29 12:20 AM',
          tag: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
            className: "fcr-msg-tag",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
              children: transI18n('fmt_role_host')
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_messageBubble.MessageBubble, {
          role: 'participant',
          isSelf: true
        })]
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 300,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["Basic:", /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        style: {
          display: 'flex',
          paddingRight: 30,
          flexDirection: 'column'
        },
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_.MessageLabel, {
          color: '#6A79FF',
          publisher: '',
          target: '',
          time: '2023-12-29 12:20 AM'
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_messageBubble.MessageBubble, {
          role: 'participant',
          isSelf: true
        })]
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 300,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["\u5E26\u5934\u50CF:", /*#__PURE__*/(0, _jsxRuntime.jsx)(_.MessageLabel, {
        color: '#6A79FF',
        publisher: '',
        target: '',
        time: '2023-12-29 12:20 AM',
        avatar: /*#__PURE__*/(0, _jsxRuntime.jsx)(_avatar.FcrAvatar, {
          size: 24,
          textSize: 24,
          nickName: "\u5468"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_messageBubble.MessageBubble, {
        role: "participant",
        styles: {
          marginLeft: 34
        }
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 400,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["\u5E26\u5934\u50CF & Tag:", /*#__PURE__*/(0, _jsxRuntime.jsx)(_.MessageLabel, {
        color: '#6A79FF',
        time: '2023-12-29 12:20 AM'
        /**TODO：Tag */,
        tag: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: "fcr-msg-tag",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: transI18n('fmt_role_host')
          })
        }),
        avatar: /*#__PURE__*/(0, _jsxRuntime.jsx)(_avatar.FcrAvatar, {
          size: 24,
          textSize: 24,
          nickName: "T"
        }),
        publisher: '',
        target: ''
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_messageBubble.MessageBubble, {
        role: "host",
        styles: {
          marginLeft: 34
        }
      })]
    })]
  });
};
var _default = exports["default"] = meta;