"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MultiSelectCheckbox = void 0;
var _checkbox = require("../checkbox");
var _react = _interopRequireDefault(require("react"));
require("./index.css");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("react/jsx-runtime");
var MultiSelectCheckbox = exports.MultiSelectCheckbox = function MultiSelectCheckbox(_ref) {
  var styles = _ref.styles,
    self = _ref.self,
    nextMsgBelongSameUser = _ref.nextMsgBelongSameUser,
    checkDisabled = _ref.checkDisabled,
    checked = _ref.checked,
    _onChange = _ref.onChange;
  var cls = (0, _classnames["default"])('fcr-checkbox-wrapper', {
    'fcr-checkbox-wrapper-disabled': checkDisabled
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: cls,
    style: {
      paddingRight: self ? 17 : 34
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_checkbox.FcrCheckbox, {
      style: {
        marginBottom: nextMsgBelongSameUser ? 4 : 15
        //   cursor: checkDisabled ? 'not-allowed' : 'pointer',
      },
      disabled: checkDisabled,
      size: "small",
      checked: checked,
      onChange: function onChange(checked) {
        _onChange && _onChange(checked);
      }
    })
  });
};