import './index.css';
import { ParticipantActionType, User } from './attendee';
export interface ParticipantProps {
    type: 'window' | 'modal';
    userList: User[];
    header?: React.ReactNode;
    footer?: React.ReactNode;
    perspectiveType?: 'host' | 'attendee' | 'cohost';
    userRenderer?: (user: User) => React.ReactNode;
    toggleParticipantAction?: (action: ParticipantActionType, userId: string) => void;
    toggleRoomControlAction?: (action: string, userId?: string) => void;
    onSearch: (value: string) => void;
    searchText?: string;
    onInvite?: () => void;
    hasPinnedStream: boolean;
    isShowInvite?: boolean;
    viewMode?: 'PC' | 'MOBILE';
}
export declare const FcrParticipants: (props: ParticipantProps) => import("react/jsx-runtime").JSX.Element;
