import { ReactNode } from 'react';
import './index.css';
interface CameraDeviceProps {
    onCameraDevicePopoverVisibleChange?: (visible: boolean) => void;
    onTooltipButtonClick?: () => void;
    popoverContent?: ReactNode;
    isMuted?: boolean;
}
export declare const CameraDevice: (props: CameraDeviceProps) => import("react/jsx-runtime").JSX.Element;
declare enum ConnectType {
    NONE = 0,
    COMPUTER = 1,
    PHONE = 2
}
interface MicrophoneDeviceProps {
    onMicrophoneDevicePopoverVisibleChange?: (visible: boolean) => void;
    onTooltipButtonClick?: () => void;
    popoverContent?: ReactNode;
    isMuted?: boolean;
    voicePercent?: number;
    connectType?: ConnectType;
}
export declare const MicrophoneDevice: (props: MicrophoneDeviceProps) => import("react/jsx-runtime").JSX.Element;
export {};
