"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShareScreenButton = void 0;
var _i18n = require("../../../i18n");
var _type = require("../../icon/type");
var _tooltipsButton = require("../../tooltips-button");
var _jsxRuntime = require("react/jsx-runtime");
var ShareScreenButton = exports.ShareScreenButton = function ShareScreenButton(props) {
  var t = (0, _i18n.useI18n)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_tooltipsButton.FrcTooltipButton, {
    tooltip: {
      content: t('fmt_screenshare_controlbar_button_newScreenshare'),
      icon: {
        type: _type.FcrIconType.FCR_SCREENSHARING_1,
        size: 32,
        colors: {
          iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
        }
      }
    },
    onTooltipButtonClick: props.onCreateNewShareButtonClick,
    withPopover: false
  });
};