"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShareStateBar = void 0;
var _i18n = require("../../../i18n");
var _button = require("../../button");
var _divider = _interopRequireDefault(require("../../divider"));
var _icon = require("../../icon");
var _type = require("../../icon/type");
var _dragIcon = require("./drag-icon");
require("./index.css");
var _jsxRuntime = require("react/jsx-runtime");
var ShareStateBar = exports.ShareStateBar = function ShareStateBar() {
  var t = (0, _i18n.useI18n)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: "share-state-bar",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_dragIcon.DragIcon, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_divider["default"], {
      type: "vertical"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: "share-state-bar__state",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
        type: _type.FcrIconType.FCR_VIDEO_SHARESCREEN,
        size: 22,
        colors: {
          iconPrimary: 'var(--fcr_ui_scene_ramp_green6)'
        }
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        children: t('fmt_modules_labels_sharing')
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "share-state-bar__share_screen_preview"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.FcrButton, {
        type: "primary",
        styleType: "danger",
        size: "XXS",
        shape: "rounded",
        children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
          className: "share-state-bar__stop-share fcr-flex fcr-items-center fcr-justify-center",
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
            type: _type.FcrIconType.FCR_RECORDING_STOP,
            size: 20,
            colors: {
              iconPrimary: 'var(--fcr_ui_scene_white10)'
            }
          }), t('fmt_screenshare_controlbar_button_stop')]
        })
      })]
    })]
  });
};