import { FC } from 'react';
import './index.css';
export type TabsProps = {
    items: {
        label: string | React.ReactNode;
        key: string;
    }[];
    activeKey: string;
    onChange: (key: string) => void;
    variant?: 'simple';
};
export declare const FcrTabs: FC<TabsProps>;
export declare const FcrFashionTabs: FC<Omit<TabsProps, 'variant'>>;
