import React, { CSSProperties, ReactNode } from 'react';
import './index.css';
export interface TextBubbleProps {
    styles?: CSSProperties;
    type?: 'gray' | 'gray_2' | 'white' | 'transparent' | 'purple';
    size?: 'small' | 'medium' | 'large';
    txt?: string | ReactNode;
    bold?: boolean;
    lineHeight?: 'small' | 'medium' | 'large';
    marginBottom?: number;
    classnames?: string;
}
export declare const TextBubble: React.FC<React.PropsWithChildren<TextBubbleProps>>;
