"use strict";

require("core-js/modules/es.symbol.js");
require("core-js/modules/es.array.filter.js");
require("core-js/modules/es.array.for-each.js");
require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.array.push.js");
require("core-js/modules/es.object.define-properties.js");
require("core-js/modules/es.object.define-property.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.get-own-property-descriptors.js");
require("core-js/modules/es.object.keys.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/es.weak-map.js");
require("core-js/modules/esnext.async-iterator.filter.js");
require("core-js/modules/esnext.async-iterator.for-each.js");
require("core-js/modules/esnext.iterator.constructor.js");
require("core-js/modules/esnext.iterator.filter.js");
require("core-js/modules/esnext.iterator.for-each.js");
require("core-js/modules/esnext.weak-map.delete-all.js");
require("core-js/modules/esnext.weak-map.emplace.js");
require("core-js/modules/web.dom-collections.for-each.js");
require("core-js/modules/web.dom-collections.iterator.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Basic = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = _interopRequireWildcard(require("react"));
var _ = require(".");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2["default"])(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var meta = {
  title: 'Components/TextArea',
  tags: ['autodocs'],
  args: {
    placeholder: 'please input something..'
  }
};
var Basic = exports.Basic = {
  render: function render(props) {
    var _useState = (0, _react.useState)(''),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];
    var handleChange = function handleChange(val) {
      setValue(val);
    };
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        style: {
          width: 200,
          marginBottom: 50
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrTextArea, _objectSpread(_objectSpread({}, props), {}, {
          maxCount: 50,
          value: value,
          onChange: handleChange
        }))
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        style: {
          width: 200,
          marginBottom: 50
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrTextArea, _objectSpread(_objectSpread({}, props), {}, {
          maxCount: 50,
          value: value,
          onChange: handleChange,
          disabled: true
        }))
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        style: {
          width: 200,
          marginBottom: 50
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrTextAreaBorderLess, _objectSpread(_objectSpread({}, props), {}, {
          label: "1"
        }))
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        style: {
          width: 200,
          marginBottom: 50
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.FcrTextArea, _objectSpread(_objectSpread({}, props), {}, {
          showCount: false,
          autoSize: true,
          maxCount: 50,
          value: value,
          onChange: handleChange
        }))
      })]
    });
  }
};
var _default = exports["default"] = meta;