import { StoryObj, Meta } from '@storybook/react';
import { ToolTipProps } from '.';
import { GuideToolTipProps } from './guide';
import { DialogToolTipProps } from './dialog';
declare const meta: Meta;
type TooltipStory = StoryObj<ToolTipProps>;
export declare const Basic: TooltipStory;
type GuideTooltipStory = StoryObj<GuideToolTipProps>;
export declare const Guide: GuideTooltipStory;
type InfoTooltipStory = StoryObj<ToolTipProps>;
export declare const Info: InfoTooltipStory;
type DialogTooltipStory = StoryObj<DialogToolTipProps>;
export declare const Dialog: DialogTooltipStory;
export default meta;
