import { ReactNode } from 'react';
import { WindowControlProps } from '../windows-control';
import './index.css';
export declare enum WindowType {
    WINDOW = "window",
    MODAL = "modal"
}
export interface WindowHeaderProps extends WindowControlProps {
    title?: string;
    type: WindowType;
    onTypeChange?: (type: WindowType) => void;
    onClose?: () => void;
    otherActions?: ReactNode;
    otherActionsAfter?: ReactNode;
    rootClassName?: string;
    withWindowPopUpButton?: boolean;
    showClose?: boolean;
}
export declare const FcrWindowHeader: (props: WindowHeaderProps) => import("react/jsx-runtime").JSX.Element;
