export type GenerateI18nKey<Obj> = {
    [Key in keyof Obj]: Key extends string ? Obj[Key] extends Record<string, any> ? Key | `${Key}.${GenerateI18nKey<Obj[Key]>}` : Key : never;
}[keyof Obj];
export declare const useI18n: () => (text: GenerateI18nKey<I18nResouceTypes>, options?: any) => string;
export declare const addResourceBundle: (lang: string, resourceBundle: any, namespace?: string) => Promise<void>;
export declare const changeLanguage: (lang: string) => Promise<void>;
export declare const getLanguage: () => string;
export declare const transI18n: (text: GenerateI18nKey<I18nResouceTypes>, options?: any) => string;
export declare const getI18n: () => import("i18next").i18n;
