export declare class FcrUIConfig {
    colors: FcrUIColors;
    radius: FcrUIRadius;
    font: FcrUIFont;
}
declare class FcrUIColors {
    light: FcrUILightColors;
    dark: FcrUIDarkColors;
}
export declare class FcrUILightColors {
    fcrMobileUiSceneFill1: string;
    fcrMobileUiSceneFill2: string;
    fcrMobileUiSceneGuide: string;
    fcrMobileUiSceneBottomnavigation1: string;
    fcrMobileUiSceneBottomnavigation2: string;
    fcrMobileUiSceneColorPopupFill1: string;
    fcrMobileUiSceneColorPopupFill2: string;
    fcrMobileUiSceneColorPopupBlock2: string;
    fcrMobileUiSceneToast1: string;
    fcrUiSceneIcontext1: string;
    fcrUiSceneIcontext2: string;
    fcrUiSceneIcontext3: string;
    fcrUiSceneInverse: string;
    fcrUiSceneLine1: string;
    fcrUiSceneLine2: string;
    fcrUiSceneInput: string;
    fcrUiSceneRampBrand1: string;
    fcrUiSceneRampBrand2: string;
    fcrUiSceneRampBrand3: string;
    fcrUiSceneRampBrand4: string;
    fcrUiSceneRampBrand5: string;
    fcrUiSceneRampBrand6: string;
    fcrUiSceneRampBrand7: string;
    fcrUiSceneRampBrand8: string;
    fcrUiSceneRampBrand9: string;
    fcrUiSceneRampBrand10: string;
    fcrUiSceneRampPurple1: string;
    fcrUiSceneRampPurple2: string;
    fcrUiSceneRampPurple3: string;
    fcrUiSceneRampPurple4: string;
    fcrUiSceneRampPurple5: string;
    fcrUiSceneRampPurple6: string;
    fcrUiSceneRampPurple8: string;
    fcrUiSceneRampPurple9: string;
    fcrUiSceneRampPurple10: string;
    fcrUiSceneRampRed6: string;
    fcrUiSceneRampPurple7: string;
    fcrUiSceneWhite10: string;
    fcrUiSceneWhite95: string;
    fcrUiSceneWhite8: string;
    fcrUiSceneWhite7: string;
    fcrUiSceneWhite6: string;
    fcrUiSceneWhite5: string;
    fcrUiSceneWhite4: string;
    fcrUiSceneWhite3: string;
    fcrUiSceneWhite2: string;
    fcrUiSceneWhite1: string;
    fcrUiSceneBlack10: string;
    fcrUiSceneBlack95: string;
    fcrUiSceneBlack8: string;
    fcrUiSceneCardBlue1: string;
    fcrUiSceneCardPurple1: string;
    fcrUiSceneCardGray: string;
    fcrUiSceneBlack7: string;
    fcrUiSceneBlack6: string;
    fcrUiSceneBlack5: string;
    fcrUiSceneBlack4: string;
    fcrUiSceneBlack3: string;
    fcrUiSceneBlack2: string;
    fcrUiSceneBlack1: string;
    fcrUiSceneRampGreen6: string;
    fcrUiSceneCardGreen1: string;
    fcrUiSceneBtn2: string;
    fcrUiSceneRampLightgreen6: string;
    fcrUiSceneVideo: string;
    fcrMobileUiSceneNavigation: string;
    fcrMobileUiSceneNavigation2: string;
    forChatFillTip1: string;
    fcrChatBg: string;
    fcrUiSceneIcontext4: string;
    forHead1: string;
    forHead12: string;
    forHead2: string;
    fcrPink6: string;
    fcrUiSceneRampYellow6: string;
    fcrUiSceneIcontext5: string;
    fcrUiSceneRampYellow4: string;
    fcrUiSceneIcontext6: string;
    forHead22: string;
    fcrUiSceneIcontext7: string;
    forHead3: string;
    forHead32: string;
    forHead4: string;
    forHead42: string;
    forHead5: string;
    forHead52: string;
    forHead6: string;
    forHead62: string;
    forHead7: string;
    forHead72: string;
    fcrWebUiSceneFill1: string;
    fcrWebUiSceneFill2: string;
    fcrWebUiSceneFill3: string;
    fcrWebUiSceneFill4Popup: string;
    fcrWebUiSceneFill5: string;
    fcrUiSceneWhiteground: string;
    fcrWebUiSceneMainicon1: string;
    fcrWebUiSceneMainicon2: string;
    fcrWebUiSceneHover: string;
    fcrUiSceneRamp2yellow6: string;
    fcrUiSceneInverse2: string;
    fcrWebUiSceneHover2: string;
    fcrUiSceneWhiteboard: string;
    fcrUiSceneBlackSpecial: string;
    fcrUiSceneViewToast: string;
    fcrUiSceneRampRed5: string;
    fcrUiSceneVideoS: string;
    fcrMobileUiSceneFill3: string;
    fcrChatBg2: string;
    fcrUiSceneInput2: string;
    fcrUiSceneWhiteboard2: string;
    fcrMobileUiSceneFill4: string;
    fcrUiSceneTitlebackground: string;
    fcrPadFill1: string;
    fcrUiSceneRampRed4: string;
    fcrMobileUiSceneColorPopupBlock4: string;
    fcrUiSceneRampYellow3: string;
    fcrUiSceneGolden: string;
    fcrUiSceneBtn3: string;
    fcrUiSceneBtn4: string;
    fcrUiSceneLine3: string;
    fcrUiSceneCheckbox: string;
    fcrMobileUiSceneChoose: string;
    fcrUiSceneMobileClick: string;
    fcrUiSceneChatBg2: string;
    fcrUiSceneChatBg3: string;
    fcrWebUiSceneHover3: string;
    fcrChatBg3: string;
    fcrUiSceneMask: string;
    fcrMobileUiSceneColorPopupFill3: string;
    fcrMobileUiSceneColorPopupBlock3: string;
    fcrWebUiSceneMainicon1Block: string;
    fcrUiSceneRampRed3: string;
    fcrUiSceneRampRed7: string;
    fcrUiSceneBlack0: string;
    fcrMobileUiSceneColorPopupBlock5: string;
    fcrUiSceneRampRed2: string;
    fcrUiSceneRampRed1: string;
    fcrUiSceneRampRed8: string;
    fcrWebUiSceneClick: string;
    fcrWebUiSceneLine1Hover: string;
    fcrWebUiSceneMainicon3Red: string;
    fcrWebUiSceneLine4: string;
    fcrUiSceneRampYellow7: string;
    fcrUiSceneRampLightgreen7: string;
    fcrUiSceneRampYellow2: string;
    fcrUiSceneRampYellow1: string;
    fcrUiSceneIcontext8: string;
    fcrNoticeBg: string;
    fcrUiSceneRampGreen4: string;
    fcrUiSceneRampGreen2: string;
    fcrUiSceneRampGreen1: string;
    fcrUiSceneRampOrange6: string;
    fcrOrange6: string;
    fcrUiSceneRampOrange7: string;
    fcrUiSceneRampGreen7: string;
    fcrUiSceneRampBrand0: string;
    fcrUiSceneHover: string;
    fcrMobileUiSceneBigbg: string;
    fcrMobileUiSceneColorPopupFill4: string;
    fcrMobileUiSceneColorPopupBlock1: string;
    fcrUiSceneCard1: string;
    fcrUiSceneCard2: string;
    fcrHomepageFill1: string;
    fcrHomepageFill2: string;
    fcrHomepageCell: string;
    fcrHomepageControl: string;
    fcrHomepageControlBlock: string;
    fcrHomepageTexture1: string;
    fcrHomepageTexture2: string;
    fcrHomepageTexture3: string;
    fcrHomepageBrand6: string;
    fcrHomepageBrand7: string;
    fcrHomepageRed6: string;
    fcrHomepageWhite10: string;
    fcrHomepageIconGreen: string;
    fcrHomepageIconGreenBg: string;
    fcrHomepageColorGreen: string;
    fcrHomepageIconBlue: string;
    fcrHomepageColorBlue: string;
    fcrHomepageIconBlueBg: string;
    fcrHomepageLine: string;
    fcrHomepageInput: string;
    fcrHomepageFill3: string;
    fcrHomepageGreenBg2: string;
    fcrHomepageBlueBg2: string;
    fcrHomepageTap: string;
    fcrHomepageDark10: string;
    fcrHomepageControlBlock2: string;
    fcrHomepageBrand5: string;
    fcrUiSceneInput3Forstartmeeting: string;
    fcrUiSceneCard3: string;
    fcrUiSceneRampRed0: string;
    fcrUiSceneIcontext9: string;
    fcrWebLightDropup: string;
    fcrWebLightDropupL: string;
    fcrWebLightDropupM: string;
    fcrWebLightDropupS: string;
}
export declare class FcrUIDarkColors {
    fcrMobileUiSceneFill1: string;
    fcrMobileUiSceneFill2: string;
    fcrMobileUiSceneGuide: string;
    fcrMobileUiSceneBottomnavigation1: string;
    fcrMobileUiSceneBottomnavigation2: string;
    fcrMobileUiSceneColorPopupFill1: string;
    fcrMobileUiSceneColorPopupFill2: string;
    fcrMobileUiSceneColorPopupBlock2: string;
    fcrMobileUiSceneToast1: string;
    fcrUiSceneIcontext1: string;
    fcrUiSceneIcontext2: string;
    fcrUiSceneIcontext3: string;
    fcrUiSceneInverse: string;
    fcrUiSceneLine1: string;
    fcrUiSceneLine2: string;
    fcrUiSceneInput: string;
    fcrUiSceneRampBrand1: string;
    fcrUiSceneRampBrand2: string;
    fcrUiSceneRampBrand3: string;
    fcrUiSceneRampBrand4: string;
    fcrUiSceneRampBrand5: string;
    fcrUiSceneRampBrand6: string;
    fcrUiSceneRampBrand7: string;
    fcrUiSceneRampBrand8: string;
    fcrUiSceneRampBrand9: string;
    fcrUiSceneRampBrand10: string;
    fcrUiSceneRampPurple1: string;
    fcrUiSceneRampPurple2: string;
    fcrUiSceneRampPurple3: string;
    fcrUiSceneRampPurple4: string;
    fcrUiSceneRampPurple5: string;
    fcrUiSceneRampPurple6: string;
    fcrUiSceneRampPurple8: string;
    fcrUiSceneRampPurple9: string;
    fcrUiSceneRampPurple10: string;
    fcrUiSceneRampRed6: string;
    fcrUiSceneRampPurple7: string;
    fcrUiSceneWhite10: string;
    fcrUiSceneWhite95: string;
    fcrUiSceneWhite8: string;
    fcrUiSceneWhite7: string;
    fcrUiSceneWhite6: string;
    fcrUiSceneWhite5: string;
    fcrUiSceneWhite4: string;
    fcrUiSceneWhite3: string;
    fcrUiSceneWhite2: string;
    fcrUiSceneWhite1: string;
    fcrUiSceneBlack10: string;
    fcrUiSceneBlack95: string;
    fcrUiSceneBlack8: string;
    fcrUiSceneCardBlue1: string;
    fcrUiSceneCardPurple1: string;
    fcrUiSceneCardGray: string;
    fcrUiSceneBlack7: string;
    fcrUiSceneBlack6: string;
    fcrUiSceneBlack5: string;
    fcrUiSceneBlack4: string;
    fcrUiSceneBlack3: string;
    fcrUiSceneBlack2: string;
    fcrUiSceneBlack1: string;
    fcrUiSceneRampGreen6: string;
    fcrUiSceneCardGreen1: string;
    fcrUiSceneBtn2: string;
    fcrUiSceneRampLightgreen6: string;
    fcrUiSceneVideo: string;
    fcrMobileUiSceneNavigation: string;
    fcrMobileUiSceneNavigation2: string;
    forChatFillTip1: string;
    fcrChatBg: string;
    fcrUiSceneIcontext4: string;
    forHead1: string;
    forHead12: string;
    forHead2: string;
    fcrPink6: string;
    fcrUiSceneRampYellow6: string;
    fcrUiSceneIcontext5: string;
    fcrUiSceneRampYellow4: string;
    fcrUiSceneIcontext6: string;
    forHead22: string;
    fcrUiSceneIcontext7: string;
    forHead3: string;
    forHead32: string;
    forHead4: string;
    forHead42: string;
    forHead5: string;
    forHead52: string;
    forHead6: string;
    forHead62: string;
    forHead7: string;
    forHead72: string;
    fcrWebUiSceneFill1: string;
    fcrWebUiSceneFill2: string;
    fcrWebUiSceneFill3: string;
    fcrWebUiSceneFill4Popup: string;
    fcrWebUiSceneFill5: string;
    fcrUiSceneWhiteground: string;
    fcrWebUiSceneMainicon1: string;
    fcrWebUiSceneMainicon2: string;
    fcrWebUiSceneHover: string;
    fcrUiSceneRamp2yellow6: string;
    fcrUiSceneInverse2: string;
    fcrWebUiSceneHover2: string;
    fcrUiSceneWhiteboard: string;
    fcrUiSceneBlackSpecial: string;
    fcrUiSceneViewToast: string;
    fcrUiSceneRampRed5: string;
    fcrUiSceneVideoS: string;
    fcrMobileUiSceneFill3: string;
    fcrChatBg2: string;
    fcrUiSceneInput2: string;
    fcrUiSceneWhiteboard2: string;
    fcrMobileUiSceneFill4: string;
    fcrUiSceneTitlebackground: string;
    fcrPadFill1: string;
    fcrUiSceneRampRed4: string;
    fcrMobileUiSceneColorPopupBlock4: string;
    fcrUiSceneRampYellow3: string;
    fcrUiSceneGolden: string;
    fcrUiSceneBtn3: string;
    fcrUiSceneBtn4: string;
    fcrUiSceneLine3: string;
    fcrUiSceneCheckbox: string;
    fcrMobileUiSceneChoose: string;
    fcrUiSceneMobileClick: string;
    fcrUiSceneChatBg2: string;
    fcrUiSceneChatBg3: string;
    fcrWebUiSceneHover3: string;
    fcrChatBg3: string;
    fcrUiSceneMask: string;
    fcrMobileUiSceneColorPopupFill3: string;
    fcrMobileUiSceneColorPopupBlock3: string;
    fcrWebUiSceneMainicon1Block: string;
    fcrUiSceneRampRed3: string;
    fcrUiSceneRampRed7: string;
    fcrUiSceneBlack0: string;
    fcrMobileUiSceneColorPopupBlock5: string;
    fcrUiSceneRampRed2: string;
    fcrUiSceneRampRed1: string;
    fcrUiSceneRampRed8: string;
    fcrWebUiSceneClick: string;
    fcrWebUiSceneLine1Hover: string;
    fcrWebUiSceneMainicon3Red: string;
    fcrWebUiSceneLine4: string;
    fcrUiSceneRampYellow7: string;
    fcrUiSceneRampLightgreen7: string;
    fcrUiSceneRampYellow2: string;
    fcrUiSceneRampYellow1: string;
    fcrUiSceneIcontext8: string;
    fcrNoticeBg: string;
    fcrUiSceneRampGreen4: string;
    fcrUiSceneRampGreen2: string;
    fcrUiSceneRampGreen1: string;
    fcrUiSceneRampOrange6: string;
    fcrOrange6: string;
    fcrUiSceneRampOrange7: string;
    fcrUiSceneRampGreen7: string;
    fcrUiSceneRampBrand0: string;
    fcrUiSceneHover: string;
    fcrMobileUiSceneBigbg: string;
    fcrMobileUiSceneColorPopupFill4: string;
    fcrMobileUiSceneColorPopupBlock1: string;
    fcrUiSceneCard1: string;
    fcrUiSceneCard2: string;
    fcrHomepageFill1: string;
    fcrHomepageFill2: string;
    fcrHomepageCell: string;
    fcrHomepageControl: string;
    fcrHomepageControlBlock: string;
    fcrHomepageTexture1: string;
    fcrHomepageTexture2: string;
    fcrHomepageTexture3: string;
    fcrHomepageBrand6: string;
    fcrHomepageBrand7: string;
    fcrHomepageRed6: string;
    fcrHomepageWhite10: string;
    fcrHomepageIconGreen: string;
    fcrHomepageIconGreenBg: string;
    fcrHomepageColorGreen: string;
    fcrHomepageIconBlue: string;
    fcrHomepageColorBlue: string;
    fcrHomepageIconBlueBg: string;
    fcrHomepageLine: string;
    fcrHomepageInput: string;
    fcrHomepageFill3: string;
    fcrHomepageGreenBg2: string;
    fcrHomepageBlueBg2: string;
    fcrHomepageTap: string;
    fcrHomepageDark10: string;
    fcrHomepageControlBlock2: string;
    fcrHomepageBrand5: string;
    fcrUiSceneInput3Forstartmeeting: string;
    fcrUiSceneCard3: string;
    fcrUiSceneRampRed0: string;
    fcrUiSceneIcontext9: string;
    fcrWebLightDropup: string;
    fcrWebLightDropupL: string;
    fcrWebLightDropupM: string;
    fcrWebLightDropupS: string;
}
export declare class FcrUIRadius {
    fcrCornerradiusXxxl: number;
    fcrCornerradiusL: number;
    fcrCornerradiusXxs: number;
    fcrCornerradiusM: number;
    fcrCornerradiusRound: number;
    fcrCornerradiusXxxs: number;
    fcrCornerradiusXl: number;
    fcrCornerradiusS: number;
    fcrCornerradiusXxl: number;
    fcrCornerradiusXs: number;
    fcrCornerradiusXxxxs: number;
    fcrCornerradiusXxxxl: number;
}
declare class FcrUIFont {
    fcrFontWeightX: number;
    fcrFontWeightM: number;
    fcrFontWeightS: number;
}
export {};
