"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrUIRadius = exports.FcrUILightColors = exports.FcrUIDarkColors = exports.FcrUIConfig = void 0;
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var FcrUIConfig = exports.FcrUIConfig = /*#__PURE__*/(0, _createClass2["default"])(function FcrUIConfig() {
  (0, _classCallCheck2["default"])(this, FcrUIConfig);
  (0, _defineProperty2["default"])(this, "colors", new FcrUIColors());
  (0, _defineProperty2["default"])(this, "radius", new FcrUIRadius());
  (0, _defineProperty2["default"])(this, "font", new FcrUIFont());
});
var FcrUIColors = /*#__PURE__*/(0, _createClass2["default"])(function FcrUIColors() {
  (0, _classCallCheck2["default"])(this, FcrUIColors);
  (0, _defineProperty2["default"])(this, "light", new FcrUILightColors());
  (0, _defineProperty2["default"])(this, "dark", new FcrUIDarkColors());
});
var FcrUILightColors = exports.FcrUILightColors = /*#__PURE__*/(0, _createClass2["default"])(function FcrUILightColors() {
  (0, _classCallCheck2["default"])(this, FcrUILightColors);
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneFill1", '#f2f2faff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneFill2", '#f6f6fcff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneGuide", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneBottomnavigation1", '#ffffff80');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneBottomnavigation2", '#ffffff80');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupFill1", '#f5f6faf7');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupFill2", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock2", '#f1f3f8ff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneToast1", '#2f2f2fcc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext1", '#373c42ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext2", '#787676cc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext3", '#bbbbbbff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInverse", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneLine1", '#e3e7efff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneLine2", '#d8d8d880');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInput", '#f9f9fcff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand1", '#4262ff1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand2", '#4262ff33');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand3", '#4262ff66');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand4", '#4262ff99');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand5", '#4262ffcc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand6", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand7", '#354eccff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand8", '#283b99ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand9", '#1a2766ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand10", '#0d1433ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple1", '#7c79ff1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple2", '#7c79ff33');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple3", '#7c79ff66');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple4", '#7c79ff99');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple5", '#7c79ffcc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple6", '#7c79ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple8", '#4a4999ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple9", '#323066ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple10", '#191833ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed6", '#f5655cff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple7", '#6361ccff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite10", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite95", '#fffffff2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite8", '#ffffffcc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite7", '#ffffffb2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite6", '#ffffff99');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite5", '#ffffff80');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite4", '#ffffff66');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite3", '#ffffff4d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite2", '#ffffff33');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite1", '#ffffff1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack10", '#373c42ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack95", '#000000f2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack8", '#000000cc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCardBlue1", '#e4e6ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCardPurple1", '#5765ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCardGray", '#f0f0f7ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack7", '#000000b2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack6", '#00000099');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack5", '#00000080');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack4", '#00000066');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack3", '#0000004d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack2", '#00000033');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack1", '#0000001a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen6", '#16d1a4ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCardGreen1", '#ebf6faff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBtn2", '#f6f6f6ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampLightgreen6", '#64bb5cff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneVideo", '#e7e7f2ff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneNavigation", '#fcfcfcff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneNavigation2", '#ffffffff');
  (0, _defineProperty2["default"])(this, "forChatFillTip1", '#ffffffe5');
  (0, _defineProperty2["default"])(this, "fcrChatBg", '#eef2faff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext4", '#4262ffff');
  (0, _defineProperty2["default"])(this, "forHead1", '#4262ffff');
  (0, _defineProperty2["default"])(this, "forHead12", '#4262ff1a');
  (0, _defineProperty2["default"])(this, "forHead2", '#0081a7ff');
  (0, _defineProperty2["default"])(this, "fcrPink6", '#ee4878ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow6", '#ffb800ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext5", '#444b71ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow4", '#ffb80099');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext6", '#3b457480');
  (0, _defineProperty2["default"])(this, "forHead22", '#0081a726');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext7", '#4262ffff');
  (0, _defineProperty2["default"])(this, "forHead3", '#6fcfa2ff');
  (0, _defineProperty2["default"])(this, "forHead32", '#6fcfa24d');
  (0, _defineProperty2["default"])(this, "forHead4", '#758bfdff');
  (0, _defineProperty2["default"])(this, "forHead42", '#758bfd26');
  (0, _defineProperty2["default"])(this, "forHead5", '#fc4c14ff');
  (0, _defineProperty2["default"])(this, "forHead52", '#fc4c1426');
  (0, _defineProperty2["default"])(this, "forHead6", '#70a9a1ff');
  (0, _defineProperty2["default"])(this, "forHead62", '#70a9a126');
  (0, _defineProperty2["default"])(this, "forHead7", '#9a9670ff');
  (0, _defineProperty2["default"])(this, "forHead72", '#9a967026');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill1", '#f2f2faff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill2", '#ffffffd9');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill3", '#f7f7fae5');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill4Popup", '#f3f7fbe5');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill5", '#e5eaf3e5');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhiteground", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneMainicon1", '#484957e5');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneMainicon2", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneHover", '#4262ff1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRamp2yellow6", '#ffc700ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInverse2", '#1e1e1ef2');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneHover2", '#c9cfe040');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhiteboard", '#f9f9fbff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlackSpecial", '#ffffffcc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneViewToast", '#ffffff8c');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed5", '#f5655ce5');
  (0, _defineProperty2["default"])(this, "fcrUiSceneVideoS", '#edf9ffcc');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneFill3", '#e9e9e9ff');
  (0, _defineProperty2["default"])(this, "fcrChatBg2", '#c6d6ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInput2", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhiteboard2", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneFill4", '#f8f9fdff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneTitlebackground", '#d9dff7ff');
  (0, _defineProperty2["default"])(this, "fcrPadFill1", '#242527ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed4", '#f5655cb2');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock4", '#ffffffd9');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow3", '#ffb80080');
  (0, _defineProperty2["default"])(this, "fcrUiSceneGolden", '#b36100ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBtn3", '#b4b8c8cc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBtn4", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneLine3", '#e3e7efff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCheckbox", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneChoose", '#ebeeffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneMobileClick", '#0000000d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneChatBg2", '#d4e2fcff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneChatBg3", '#4262ff1a');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneHover3", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrChatBg3", '#c6d6ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneMask", '#90909099');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupFill3", '#f5f6fafc');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock3", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneMainicon1Block", '#3c3d40ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed3", '#f5655c80');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed7", '#e55e56ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack0", '#0000000d');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock5", '#f1f3f866');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed2", '#f5655c4d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed1", '#f5655c1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed8", '#933d37ff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneClick", '#4262ff33');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneLine1Hover", '#4262fffc');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneMainicon3Red", '#f55c52ff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneLine4", '#cdcdcdff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow7", '#e6a600ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampLightgreen7", '#5aa853ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow2", '#ffb8004d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow1", '#ffb8001a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext8", '#444b71cc');
  (0, _defineProperty2["default"])(this, "fcrNoticeBg", '#57678bff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen4", '#16d1a4b2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen2", '#16d1a44d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen1", '#16d1a41a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampOrange6", '#ff8c38ff');
  (0, _defineProperty2["default"])(this, "fcrOrange6", '#ff8c38ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampOrange7", '#e86e16ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen7", '#07b78dff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand0", '#4262ff12');
  (0, _defineProperty2["default"])(this, "fcrUiSceneHover", '#4262ff1a');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneBigbg", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupFill4", '#f5f6fafc');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock1", '#fffffff2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCard1", '#67d569ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCard2", '#a19fffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageFill1", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageFill2", '#f7f7feff');
  (0, _defineProperty2["default"])(this, "fcrHomepageCell", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageControl", '#f8f8fbff');
  (0, _defineProperty2["default"])(this, "fcrHomepageControlBlock", '#edf0f6ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageTexture1", '#000000ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageTexture2", '#6d6a77ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageTexture3", '#9f9caaff');
  (0, _defineProperty2["default"])(this, "fcrHomepageBrand6", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageBrand7", '#3a55deff');
  (0, _defineProperty2["default"])(this, "fcrHomepageRed6", '#f5655cff');
  (0, _defineProperty2["default"])(this, "fcrHomepageWhite10", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageIconGreen", '#16d1a4ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageIconGreenBg", '#b4f8b54d');
  (0, _defineProperty2["default"])(this, "fcrHomepageColorGreen", '#16d1a4ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageIconBlue", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageColorBlue", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageIconBlueBg", '#4262ff1a');
  (0, _defineProperty2["default"])(this, "fcrHomepageLine", '#e3e7efff');
  (0, _defineProperty2["default"])(this, "fcrHomepageInput", '#f4f5fbff');
  (0, _defineProperty2["default"])(this, "fcrHomepageFill3", '#ffffffd9');
  (0, _defineProperty2["default"])(this, "fcrHomepageGreenBg2", '#cefacfff');
  (0, _defineProperty2["default"])(this, "fcrHomepageBlueBg2", '#e1e6ffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageTap", '#7c79ffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageDark10", '#151414ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageControlBlock2", '#e0e8fcb2');
  (0, _defineProperty2["default"])(this, "fcrHomepageBrand5", '#4262ff99');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInput3Forstartmeeting", '#f3f4f9ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCard3", '#1ac3d5ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed0", '#f5655c1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext9", '#f5655cff');
  (0, _defineProperty2["default"])(this, "fcrWebLightDropup", '0px 0px 15px 0px rgba(151, 151, 151, 0.25)');
  (0, _defineProperty2["default"])(this, "fcrWebLightDropupL", '0px 0px 15px 10px rgba(143, 143, 143, 0.20)');
  (0, _defineProperty2["default"])(this, "fcrWebLightDropupM", '0px 0px 15px 0px rgba(143, 143, 143, 0.15)');
  (0, _defineProperty2["default"])(this, "fcrWebLightDropupS", '0px 0px 4px 0px rgba(0, 0, 0, 0.25)');
});
var FcrUIDarkColors = exports.FcrUIDarkColors = /*#__PURE__*/(0, _createClass2["default"])(function FcrUIDarkColors() {
  (0, _classCallCheck2["default"])(this, FcrUIDarkColors);
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneFill1", '#26282cff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneFill2", '#3b3e48ff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneGuide", '#26282cf2');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneBottomnavigation1", '#26282c80');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneBottomnavigation2", '#32354580');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupFill1", '#1f2327f7');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupFill2", '#3c3c3cff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock2", '#353638f2');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneToast1", '#fffffff2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext1", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext2", '#ffffffb2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext3", '#bbbbbbff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInverse", '#000000ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneLine1", '#4a4c5f80');
  (0, _defineProperty2["default"])(this, "fcrUiSceneLine2", '#40404033');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInput", '#3d404bff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand1", '#4262ff33');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand2", '#4262ff4d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand3", '#4262ff66');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand4", '#4262ff99');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand5", '#4262ffcc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand6", '#506effff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand7", '#354eccff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand8", '#283b99ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand9", '#1a2766ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand10", '#0d1433ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple1", '#7c79ff1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple2", '#7c79ff33');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple3", '#7c79ff66');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple4", '#7c79ff99');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple5", '#7c79ffcc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple6", '#7e7bffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple8", '#4a4999ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple9", '#323066ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple10", '#191833ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed6", '#fb584eff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampPurple7", '#6361ccff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite10", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite95", '#fffffff2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite8", '#ffffffcc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite7", '#ffffffb2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite6", '#ffffff99');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite5", '#ffffff80');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite4", '#ffffff66');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite3", '#ffffff4d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite2", '#ffffff33');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhite1", '#ffffff1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack10", '#121416ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack95", '#000000f2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack8", '#000000cc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCardBlue1", '#e4e6ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCardPurple1", '#5765ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCardGray", '#f0f0f7ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack7", '#000000b2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack6", '#00000099');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack5", '#00000080');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack4", '#00000066');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack3", '#0000004d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack2", '#5b599833');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack1", '#0000001a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen6", '#50e3c2ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCardGreen1", '#ebf6faff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBtn2", '#555b69ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampLightgreen6", '#64bb5cff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneVideo", '#43434eff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneNavigation", '#323545ff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneNavigation2", '#26282cff');
  (0, _defineProperty2["default"])(this, "forChatFillTip1", '#3b3e4880');
  (0, _defineProperty2["default"])(this, "fcrChatBg", '#43434eff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext4", '#000000ff');
  (0, _defineProperty2["default"])(this, "forHead1", '#3aacffff');
  (0, _defineProperty2["default"])(this, "forHead12", '#4262ff33');
  (0, _defineProperty2["default"])(this, "forHead2", '#03a7d7ff');
  (0, _defineProperty2["default"])(this, "fcrPink6", '#ee4878ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow6", '#ffd952ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext5", '#ffffffe5');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow4", '#ffd95299');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext6", '#ffffffe5');
  (0, _defineProperty2["default"])(this, "forHead22", '#03a7d733');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext7", '#ffffffff');
  (0, _defineProperty2["default"])(this, "forHead3", '#6fcfa2ff');
  (0, _defineProperty2["default"])(this, "forHead32", '#6fcfa233');
  (0, _defineProperty2["default"])(this, "forHead4", '#758bfdff');
  (0, _defineProperty2["default"])(this, "forHead42", '#758bfd33');
  (0, _defineProperty2["default"])(this, "forHead5", '#fc4c14ff');
  (0, _defineProperty2["default"])(this, "forHead52", '#fc4c1433');
  (0, _defineProperty2["default"])(this, "forHead6", '#70a9a1ff');
  (0, _defineProperty2["default"])(this, "forHead62", '#70a9a133');
  (0, _defineProperty2["default"])(this, "forHead7", '#aca885ff');
  (0, _defineProperty2["default"])(this, "forHead72", '#aca88533');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill1", '#000000ff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill2", '#404043d9');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill3", '#2c2727cc');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill4Popup", '#43434eff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneFill5", '#4c5462ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhiteground", '#232529ff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneMainicon1", '#fffffff2');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneMainicon2", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneHover", '#6666664d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRamp2yellow6", '#ffc700ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInverse2", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneHover2", '#c9cfe04d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhiteboard", '#232529ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlackSpecial", '#4c5462cc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneViewToast", '#3b3e4880');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed5", '#fb584ee5');
  (0, _defineProperty2["default"])(this, "fcrUiSceneVideoS", '#535364cc');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneFill3", '#000000ff');
  (0, _defineProperty2["default"])(this, "fcrChatBg2", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInput2", '#3d404bff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneWhiteboard2", '#232529ff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneFill4", '#000000ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneTitlebackground", '#37394fff');
  (0, _defineProperty2["default"])(this, "fcrPadFill1", '#000000ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed4", '#fb584eb2');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock4", '#2f2f2fa6');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow3", '#ffeeb380');
  (0, _defineProperty2["default"])(this, "fcrUiSceneGolden", '#5d3301ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBtn3", '#555b69ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBtn4", '#575d6dff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneLine3", '#6a6a6cff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCheckbox", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneChoose", '#3a4372ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneMobileClick", '#00000033');
  (0, _defineProperty2["default"])(this, "fcrUiSceneChatBg2", '#d4e2fcff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneChatBg3", '#585858ff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneHover3", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrChatBg3", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneMask", '#08080859');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupFill3", '#000000ff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock3", '#292e33ff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneMainicon1Block", '#e1e1e7ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed3", '#fb584e80');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed7", '#e34d43ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneBlack0", '#0000000d');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock5", '#2f2f2fa6');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed2", '#fb584e4d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed1", '#fb584e1a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed8", '#933d37ff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneClick", '#c9cfe080');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneLine1Hover", '#c9cfe033');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneMainicon3Red", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrWebUiSceneLine4", '#ffffff4d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow7", '#ffda56ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampLightgreen7", '#5aa853ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow2", '#ffeeb34d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampYellow1", '#ffeeb31a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext8", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrNoticeBg", '#57678bff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen4", '#50e3c2b2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen2", '#50e3c24d');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen1", '#50e3c21a');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampOrange6", '#ffa216ff');
  (0, _defineProperty2["default"])(this, "fcrOrange6", '#ffa216ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampOrange7", '#e86e16ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampGreen7", '#31dcb5ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampBrand0", '#4262ff12');
  (0, _defineProperty2["default"])(this, "fcrUiSceneHover", '#6666664d');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneBigbg", '#26282cff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupFill4", '#000000ff');
  (0, _defineProperty2["default"])(this, "fcrMobileUiSceneColorPopupBlock1", '#292e33f2');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCard1", '#e2f458ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCard2", '#a19fffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageFill1", '#121114ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageFill2", '#26282cff');
  (0, _defineProperty2["default"])(this, "fcrHomepageCell", '#383e4fff');
  (0, _defineProperty2["default"])(this, "fcrHomepageControl", '#201f23ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageControlBlock", '#383e4fff');
  (0, _defineProperty2["default"])(this, "fcrHomepageTexture1", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageTexture2", '#ffffffcc');
  (0, _defineProperty2["default"])(this, "fcrHomepageTexture3", '#ffffffb2');
  (0, _defineProperty2["default"])(this, "fcrHomepageBrand6", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageBrand7", '#3a55deff');
  (0, _defineProperty2["default"])(this, "fcrHomepageRed6", '#fb584eff');
  (0, _defineProperty2["default"])(this, "fcrHomepageWhite10", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageIconGreen", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageIconGreenBg", '#16d1a4ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageColorGreen", '#16d1a4ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageIconBlue", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageColorBlue", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageIconBlueBg", '#4262ffff');
  (0, _defineProperty2["default"])(this, "fcrHomepageLine", '#ffffff33');
  (0, _defineProperty2["default"])(this, "fcrHomepageInput", '#3d404bff');
  (0, _defineProperty2["default"])(this, "fcrHomepageFill3", '#404043d9');
  (0, _defineProperty2["default"])(this, "fcrHomepageGreenBg2", '#26c19cff');
  (0, _defineProperty2["default"])(this, "fcrHomepageBlueBg2", '#2f43a8ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageTap", '#ffb700ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageDark10", '#151414ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageControlBlock2", '#515971ff');
  (0, _defineProperty2["default"])(this, "fcrHomepageBrand5", '#4262ff99');
  (0, _defineProperty2["default"])(this, "fcrUiSceneInput3Forstartmeeting", '#3d404bff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneCard3", '#00cae0ff');
  (0, _defineProperty2["default"])(this, "fcrUiSceneRampRed0", '#fb584ecc');
  (0, _defineProperty2["default"])(this, "fcrUiSceneIcontext9", '#ffffffff');
  (0, _defineProperty2["default"])(this, "fcrWebLightDropup", '0px 0px 15px 0px rgba(0, 0, 0, 0.25)');
  (0, _defineProperty2["default"])(this, "fcrWebLightDropupL", '0px 0px 15px 0px rgba(143, 143, 143, 0.2)');
  (0, _defineProperty2["default"])(this, "fcrWebLightDropupM", '0px 2px 50px 5px rgba(143, 143, 143, 0.2)');
  (0, _defineProperty2["default"])(this, "fcrWebLightDropupS", '0px 2px 8px 5px rgba(255, 255, 255, 0.1)');
});
var FcrUIRadius = exports.FcrUIRadius = /*#__PURE__*/(0, _createClass2["default"])(function FcrUIRadius() {
  (0, _classCallCheck2["default"])(this, FcrUIRadius);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusXxxl", 24);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusL", 12);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusXxs", 4);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusM", 10);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusRound", 9999);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusXxxs", 3);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusXl", 16);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusS", 8);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusXxl", 20);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusXs", 6);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusXxxxs", 2);
  (0, _defineProperty2["default"])(this, "fcrCornerradiusXxxxl", 40);
});
var FcrUIFont = /*#__PURE__*/(0, _createClass2["default"])(function FcrUIFont() {
  (0, _classCallCheck2["default"])(this, FcrUIFont);
  (0, _defineProperty2["default"])(this, "fcrFontWeightX", 800);
  (0, _defineProperty2["default"])(this, "fcrFontWeightM", 600);
  (0, _defineProperty2["default"])(this, "fcrFontWeightS", 400);
});